/**********************************************************************/
/*                                                                    */
/*   Licensed Materials - Property of IBM.                            */
/*   5724-T42 5724-T43 5724-T44                                       */
/*   Copyright IBM Corp. and by others 2008.                          */
/*   All Rights Reserved.                                             */
/*   US Government Users Restricted Rights -                          */
/*   Use, duplication or disclosure restricted by                     */
/*   GSA ADP Schedule Contract with IBM Corp.                         */
/*                                                                    */
/**********************************************************************/
#ifndef MASS_ASIN_H
#define MASS_ASIN_H
#include <spu_intrinsics.h>
static __inline vector double _asind2(vector double var1660In){
    vector unsigned char var1660;
    static const union {const vector unsigned char v[8];const char c[8*16];} var1661= 
        {(vector unsigned char){0,0,0,0,0,0,0,0,63,240,0,0,0,0,0,0}
        ,(vector unsigned char){0,0,0,0,0,0,0,0,191,240,0,0,0,0,0,0}
        ,(vector unsigned char){63,249,33,251,84,68,45,24,191,240,0,0,0,0,0,0}
        ,(vector unsigned char){191,249,33,251,84,68,45,24,63,240,0,0,0,0,0,0}
        ,(vector unsigned char){127,248,0,0,0,0,0,0,127,248,0,0,0,0,0,0}
        ,(vector unsigned char){127,248,0,0,0,0,0,0,127,248,0,0,0,0,0,0}
        ,(vector unsigned char){127,248,0,0,0,0,0,0,127,248,0,0,0,0,0,0}
        ,(vector unsigned char){127,248,0,0,0,0,0,0,127,248,0,0,0,0,0,0}
        };
    vector unsigned char var1662;
    vector unsigned char var1663;
    vector unsigned char var1664;
    vector unsigned char var1665;
    vector unsigned char var1666;
    vector unsigned char var1667;
    vector unsigned char var1668;
    vector unsigned char var1669;
    vector unsigned char var1670;
    vector unsigned char var1671;
    vector unsigned char var1672;
    vector unsigned char var1673;
    vector unsigned char var1674;
    vector unsigned char var1684;
    vector unsigned char var1685;
    vector unsigned char var1686;
    vector unsigned char var1687;
    vector unsigned char var1688;
    vector unsigned char var1689;
    vector unsigned char var1692;
    vector unsigned char var1693;
    vector unsigned char var1694;
    vector unsigned char var1695;
    vector unsigned char var1696;
    vector unsigned char var1697;
    vector unsigned char var1698;
    vector unsigned char var1699;
    vector unsigned char var1700;
    static const union {const vector unsigned char v[128];const char c[128*16];} var1701= 
        {(vector unsigned char){190,124,56,37,66,54,209,0,63,179,51,242,159,150,0,0}
        ,(vector unsigned char){63,104,0,30,105,52,63,191,63,179,59,187,88,51,128,0}
        ,(vector unsigned char){63,120,5,0,103,222,243,191,63,179,74,195,160,112,144,0}
        ,(vector unsigned char){63,130,9,171,4,123,173,191,63,179,97,94,116,72,152,0}
        ,(vector unsigned char){63,136,23,229,176,196,75,191,63,179,127,157,49,182,160,0}
        ,(vector unsigned char){63,142,47,147,74,64,153,191,63,179,165,151,34,203,164,0}
        ,(vector unsigned char){63,146,41,143,20,85,242,191,63,179,211,105,155,123,168,0}
        ,(vector unsigned char){63,149,66,124,230,116,214,191,63,180,9,56,31,40,172,0}
        ,(vector unsigned char){63,152,99,210,103,208,248,191,63,180,71,44,142,73,176,0}
        ,(vector unsigned char){63,155,142,213,111,15,91,191,63,180,141,119,92,134,178,0}
        ,(vector unsigned char){63,158,196,211,100,7,174,191,63,180,220,79,207,181,180,0}
        ,(vector unsigned char){63,161,3,145,40,61,182,191,63,181,51,244,72,43,182,0}
        ,(vector unsigned char){63,162,171,144,254,12,25,191,63,181,148,170,146,250,184,0}
        ,(vector unsigned char){63,164,91,30,138,168,173,191,63,181,254,192,70,188,186,0}
        ,(vector unsigned char){63,166,18,245,52,91,25,191,63,182,114,139,43,155,188,0}
        ,(vector unsigned char){63,167,211,215,20,67,185,191,63,182,240,105,175,122,190,0}
        ,(vector unsigned char){63,169,158,141,163,55,160,191,63,183,120,195,103,33,192,0}
        ,(vector unsigned char){63,171,115,234,112,178,30,191,63,184,12,9,157,117,193,0}
        ,(vector unsigned char){63,173,84,199,228,244,247,191,63,184,170,183,241,246,194,0}
        ,(vector unsigned char){63,175,66,10,15,135,214,191,63,185,85,85,7,199,195,0}
        ,(vector unsigned char){63,176,158,79,193,176,242,191,63,186,12,115,70,190,196,0}
        ,(vector unsigned char){63,177,162,193,33,18,227,191,63,186,208,177,176,34,197,0}
        ,(vector unsigned char){63,178,174,220,91,252,160,191,63,187,162,188,200,243,198,0}
        ,(vector unsigned char){63,179,195,43,100,211,64,191,63,188,131,79,155,185,199,0}
        ,(vector unsigned char){63,180,224,63,123,111,46,191,63,189,115,52,212,75,200,0}
        ,(vector unsigned char){63,182,6,177,201,80,84,191,63,190,115,71,247,248,201,0}
        ,(vector unsigned char){63,183,55,36,10,1,185,191,63,191,132,118,189,25,202,0}
        ,(vector unsigned char){63,184,114,65,64,229,190,191,63,192,83,225,66,149,203,0}
        ,(vector unsigned char){63,185,184,190,125,196,100,191,63,192,239,32,254,143,204,0}
        ,(vector unsigned char){63,187,11,91,177,153,35,191,63,193,148,145,115,247,205,0}
        ,(vector unsigned char){63,188,106,228,149,70,87,191,63,194,68,214,11,247,206,0}
        ,(vector unsigned char){63,189,216,49,164,1,186,191,63,195,0,159,206,8,207,0}
        ,(vector unsigned char){63,191,84,41,43,128,77,191,63,195,200,174,147,102,208,0}
        ,(vector unsigned char){63,192,111,224,58,16,189,191,63,196,157,210,90,135,208,128}
        ,(vector unsigned char){63,193,61,254,129,204,207,191,63,197,128,236,190,78,209,0}
        ,(vector unsigned char){63,194,20,250,254,114,102,191,63,198,114,242,148,248,209,128}
        ,(vector unsigned char){63,194,245,106,208,78,60,191,63,199,116,237,187,125,210,0}
        ,(vector unsigned char){63,195,223,237,120,147,144,191,63,200,135,255,18,141,210,128}
        ,(vector unsigned char){63,196,213,45,191,80,175,191,63,201,173,96,179,22,211,0}
        ,(vector unsigned char){63,197,213,226,175,106,255,191,63,202,230,104,97,21,211,128}
        ,(vector unsigned char){63,198,226,208,171,16,77,191,63,204,52,138,68,56,212,0}
        ,(vector unsigned char){63,199,252,202,155,86,235,191,63,205,153,91,239,1,212,128}
        ,(vector unsigned char){63,201,36,179,62,28,126,191,63,207,22,151,190,57,213,0}
        ,(vector unsigned char){63,202,91,126,149,149,102,191,63,208,87,16,77,240,213,128}
        ,(vector unsigned char){63,203,162,51,125,110,88,191,63,209,49,3,25,54,214,0}
        ,(vector unsigned char){63,204,249,237,105,225,70,191,63,210,26,68,207,104,214,128}
        ,(vector unsigned char){63,206,99,222,85,176,60,191,63,211,20,17,89,20,215,0}
        ,(vector unsigned char){63,207,225,80,228,159,122,191,63,212,31,194,234,251,215,128}
        ,(vector unsigned char){63,208,185,213,96,99,135,191,63,213,62,213,84,143,216,0}
        ,(vector unsigned char){63,209,142,55,156,247,174,191,63,214,114,233,183,88,216,128}
        ,(vector unsigned char){63,210,110,161,23,147,255,191,63,215,189,202,181,217,217,0}
        ,(vector unsigned char){63,211,91,245,165,245,109,191,63,217,33,113,42,192,217,128}
        ,(vector unsigned char){63,212,87,44,209,182,17,191,63,218,160,9,123,186,218,0}
        ,(vector unsigned char){63,213,97,83,219,29,148,191,63,220,59,249,158,111,218,128}
        ,(vector unsigned char){63,214,123,143,248,12,44,191,63,221,247,231,233,176,219,0}
        ,(vector unsigned char){63,215,167,32,214,246,115,191,63,223,214,194,209,45,219,128}
        ,(vector unsigned char){63,216,229,99,111,22,188,191,63,224,237,228,215,122,220,0}
        ,(vector unsigned char){63,218,55,213,40,88,179,191,63,226,5,75,98,1,220,128}
        ,(vector unsigned char){63,219,160,23,103,31,88,191,63,227,51,149,80,0,221,0}
        ,(vector unsigned char){63,221,31,243,137,229,255,191,63,228,122,252,148,98,221,128}
        ,(vector unsigned char){63,222,185,95,104,240,225,191,63,229,221,252,65,252,222,0}
        ,(vector unsigned char){63,224,55,65,53,107,227,191,63,231,95,89,24,128,222,128}
        ,(vector unsigned char){63,225,32,221,161,224,142,191,63,233,2,43,87,193,223,0}
        ,(vector unsigned char){63,226,26,211,60,94,0,191,63,234,201,234,15,214,223,128}
        ,(vector unsigned char){63,179,241,6,120,187,122,191,191,162,251,115,94,35,224,64}
        ,(vector unsigned char){63,179,148,83,21,176,12,191,191,162,138,139,139,37,224,128}
        ,(vector unsigned char){63,179,57,196,69,200,122,191,191,162,28,210,62,11,224,192}
        ,(vector unsigned char){63,178,225,74,167,148,4,191,191,161,178,44,132,8,225,0}
        ,(vector unsigned char){63,178,138,215,91,62,77,191,191,161,74,128,112,20,225,64}
        ,(vector unsigned char){63,178,54,91,253,170,175,191,191,160,229,181,15,189,225,128}
        ,(vector unsigned char){63,177,227,202,163,196,211,191,191,160,131,178,96,126,225,192}
        ,(vector unsigned char){63,177,147,21,214,4,22,191,191,160,36,97,69,147,226,0}
        ,(vector unsigned char){63,177,68,48,140,31,74,191,191,159,143,86,252,160,226,64}
        ,(vector unsigned char){63,176,247,14,40,238,155,191,191,158,218,247,57,202,226,128}
        ,(vector unsigned char){63,176,171,162,118,121,106,191,191,158,43,121,251,32,226,192}
        ,(vector unsigned char){63,176,97,225,162,46,29,191,191,157,128,183,124,124,227,0}
        ,(vector unsigned char){63,176,25,192,57,65,225,191,191,156,218,137,109,13,227,64}
        ,(vector unsigned char){63,175,166,102,74,109,70,191,191,156,56,202,224,25,227,128}
        ,(vector unsigned char){63,175,28,95,81,10,217,191,191,155,155,88,62,102,227,192}
        ,(vector unsigned char){63,174,149,86,182,215,6,191,191,155,2,15,56,86,228,0}
        ,(vector unsigned char){63,174,17,56,81,177,114,191,191,154,108,206,184,159,228,64}
        ,(vector unsigned char){63,173,143,240,150,250,220,191,191,153,219,118,215,154,228,128}
        ,(vector unsigned char){63,173,17,108,149,237,171,191,191,153,77,232,207,45,228,192}
        ,(vector unsigned char){63,172,149,153,242,48,75,191,191,152,196,6,239,50,229,0}
        ,(vector unsigned char){63,172,28,102,222,158,220,191,191,152,61,180,146,110,229,64}
        ,(vector unsigned char){63,171,165,194,24,73,164,191,191,151,186,214,19,255,229,128}
        ,(vector unsigned char){63,171,49,154,225,166,11,191,191,151,59,80,197,63,229,192}
        ,(vector unsigned char){63,170,191,224,253,239,222,191,191,150,191,10,228,32,230,0}
        ,(vector unsigned char){63,170,80,132,172,184,188,191,191,150,69,235,145,235,230,64}
        ,(vector unsigned char){63,169,227,118,165,163,184,191,191,149,207,218,202,107,230,128}
        ,(vector unsigned char){63,169,120,168,20,75,52,191,191,149,92,193,91,123,230,192}
        ,(vector unsigned char){63,169,16,10,148,79,57,191,191,148,236,136,220,236,231,0}
        ,(vector unsigned char){63,168,169,144,45,138,128,191,191,148,127,27,168,199,231,64}
        ,(vector unsigned char){63,168,69,43,80,108,139,191,191,148,20,100,211,227,231,128}
        ,(vector unsigned char){63,167,226,206,210,119,62,191,191,147,172,80,38,206,231,192}
        ,(vector unsigned char){63,167,130,109,234,222,120,191,191,147,70,202,22,250,232,0}
        ,(vector unsigned char){63,167,35,252,47,72,49,191,191,146,227,191,192,67,232,64}
        ,(vector unsigned char){63,166,199,109,144,171,217,191,191,146,131,30,222,169,232,128}
        ,(vector unsigned char){63,166,108,182,88,79,143,191,191,146,36,213,200,88,232,192}
        ,(vector unsigned char){63,166,19,203,36,226,10,191,191,145,200,211,103,241,233,0}
        ,(vector unsigned char){63,165,188,160,231,175,240,191,191,145,111,7,55,4,233,64}
        ,(vector unsigned char){63,165,103,44,225,243,139,191,191,145,23,97,56,207,233,128}
        ,(vector unsigned char){63,165,19,100,162,61,189,191,191,144,193,209,245,50,233,192}
        ,(vector unsigned char){63,164,193,62,1,247,49,191,191,144,110,74,115,211,234,0}
        ,(vector unsigned char){63,164,112,175,34,248,196,191,191,144,28,188,55,123,234,64}
        ,(vector unsigned char){63,164,33,174,109,58,69,191,191,143,154,50,115,60,234,128}
        ,(vector unsigned char){63,163,212,50,140,150,145,191,191,142,254,167,204,36,234,192}
        ,(vector unsigned char){63,163,136,50,110,164,68,191,191,142,102,190,45,236,235,0}
        ,(vector unsigned char){63,163,61,165,64,162,29,191,191,141,210,92,33,123,235,64}
        ,(vector unsigned char){63,162,244,130,109,118,89,191,191,141,65,104,252,207,235,128}
        ,(vector unsigned char){63,162,172,193,155,192,51,191,191,140,179,204,219,183,235,192}
        ,(vector unsigned char){63,162,102,90,171,250,234,191,191,140,41,112,152,213,236,0}
        ,(vector unsigned char){63,162,33,69,182,177,131,191,191,139,162,61,198,231,236,64}
        ,(vector unsigned char){63,161,221,123,10,194,184,191,191,139,30,30,170,83,236,128}
        ,(vector unsigned char){63,161,154,243,43,180,88,191,191,138,156,254,50,245,236,192}
        ,(vector unsigned char){63,161,89,166,208,21,154,191,191,138,30,199,246,39,237,0}
        ,(vector unsigned char){63,161,25,142,223,239,188,191,191,137,163,104,41,11,237,64}
        ,(vector unsigned char){63,160,218,164,115,68,100,191,191,137,42,203,155,4,237,128}
        ,(vector unsigned char){63,160,156,224,208,153,69,191,191,136,180,223,176,108,237,192}
        ,(vector unsigned char){63,160,96,61,107,144,121,191,191,136,65,146,93,122,238,0}
        ,(vector unsigned char){63,160,36,179,227,141,38,191,191,135,208,210,33,97,238,64}
        ,(vector unsigned char){63,159,212,124,4,199,188,191,191,135,98,142,1,146,238,128}
        ,(vector unsigned char){63,159,97,171,118,44,194,191,191,134,246,181,133,54,238,192}
        ,(vector unsigned char){63,158,240,234,81,52,143,191,191,134,141,56,176,207,239,0}
        ,(vector unsigned char){63,158,130,45,25,84,85,191,191,134,38,8,2,5,239,64}
        ,(vector unsigned char){63,158,21,104,157,65,215,191,191,133,193,20,107,154,239,128}
        ,(vector unsigned char){63,157,170,145,244,189,118,191,191,133,94,79,81,133,239,192}
        ,(vector unsigned char){63,157,65,168,140,120,229,191,191,132,249,189,197,73,240,0}
        };
    vector unsigned char var1702;
    vector unsigned char var1703;
    vector unsigned char var1704;
    vector unsigned char var1705;
    vector unsigned char var1706;
    vector unsigned char var1708;
    vector unsigned char var1709;
    vector unsigned char var1710;
    vector unsigned char var1711;
    vector unsigned char var1712;
    vector unsigned char var1713;
    vector unsigned char var1714;
    static const union {const vector unsigned char v[128];const char c[128*16];} var1715= 
        {(vector unsigned char){189,89,15,197,72,59,103,176,63,197,85,85,86,13,105,33}
        ,(vector unsigned char){63,112,0,96,1,128,190,19,63,197,86,213,104,10,220,195}
        ,(vector unsigned char){63,128,1,128,29,177,138,30,63,197,91,86,40,5,75,19}
        ,(vector unsigned char){63,136,5,16,227,131,129,35,63,197,98,217,89,200,23,112}
        ,(vector unsigned char){63,144,6,1,224,66,105,178,63,197,109,97,237,245,232,186}
        ,(vector unsigned char){63,148,11,189,187,25,246,112,63,197,122,244,5,102,12,52}
        ,(vector unsigned char){63,152,20,78,69,241,233,44,63,197,139,148,244,81,95,3}
        ,(vector unsigned char){63,156,32,70,225,95,51,38,63,197,159,75,70,110,98,89}
        ,(vector unsigned char){63,160,24,30,34,223,182,42,63,197,182,30,196,1,185,163}
        ,(vector unsigned char){63,162,34,98,95,144,69,170,63,197,208,24,119,233,145,181}
        ,(vector unsigned char){63,164,47,60,53,49,111,89,63,197,237,66,182,171,187,45}
        ,(vector unsigned char){63,166,62,248,185,227,79,128,63,198,13,169,38,143,157,12}
        ,(vector unsigned char){63,168,81,230,43,140,37,2,63,198,49,88,200,206,144,138}
        ,(vector unsigned char){63,170,104,84,16,216,139,14,63,198,88,96,3,230,184,89}
        ,(vector unsigned char){63,172,130,147,91,65,155,45,63,198,130,206,175,29,254,53}
        ,(vector unsigned char){63,174,160,246,138,54,48,46,63,198,176,182,31,68,149,231}
        ,(vector unsigned char){63,176,97,232,231,195,4,116,63,198,226,41,52,200,55,206}
        ,(vector unsigned char){63,177,117,189,154,151,158,241,63,199,23,60,107,43,59,56}
        ,(vector unsigned char){63,178,140,37,98,88,48,196,63,199,80,5,233,244,214,74}
        ,(vector unsigned char){63,179,165,77,88,1,222,65,63,199,140,157,151,50,19,55}
        ,(vector unsigned char){63,180,193,99,190,53,53,40,63,199,205,29,43,161,134,33}
        ,(vector unsigned char){63,181,224,152,23,152,85,199,63,200,17,160,72,166,130,96}
        ,(vector unsigned char){63,183,3,27,62,75,203,226,63,200,90,68,144,35,127,203}
        ,(vector unsigned char){63,184,41,31,124,137,187,167,63,200,167,41,190,94,152,11}
        ,(vector unsigned char){63,185,82,216,166,136,190,175,63,200,248,113,198,22,137,187}
        ,(vector unsigned char){63,186,128,124,53,189,176,218,63,201,78,64,238,242,139,205}
        ,(vector unsigned char){63,187,178,65,101,153,193,148,63,201,168,189,246,123,122,47}
        ,(vector unsigned char){63,188,232,97,81,228,103,214,63,202,8,18,51,209,144,35}
        ,(vector unsigned char){63,190,35,23,22,211,92,60,63,202,108,105,190,87,10,135}
        ,(vector unsigned char){63,191,98,159,243,5,130,26,63,202,213,243,151,141,186,185}
        ,(vector unsigned char){63,192,83,157,181,196,91,7,63,203,68,225,216,107,218,167}
        ,(vector unsigned char){63,192,248,149,185,10,234,163,63,203,185,105,226,115,102,43}
        ,(vector unsigned char){63,193,160,90,70,217,2,152,63,204,51,196,148,222,242,134}
        ,(vector unsigned char){63,194,75,15,2,244,44,203,63,204,180,46,134,63,138,26}
        ,(vector unsigned char){63,194,248,217,8,105,188,158,63,205,58,232,66,240,147,136}
        ,(vector unsigned char){63,195,169,223,2,25,237,220,63,205,200,54,144,209,94,174}
        ,(vector unsigned char){63,196,94,73,68,234,94,8,63,206,92,98,184,191,186,122}
        ,(vector unsigned char){63,197,22,65,235,195,248,180,63,206,247,186,214,92,27,164}
        ,(vector unsigned char){63,197,209,244,245,131,206,13,63,207,154,146,46,174,139,81}
        ,(vector unsigned char){63,198,145,144,101,10,6,87,63,208,34,160,199,42,0,141}
        ,(vector unsigned char){63,199,85,68,99,150,72,247,63,208,124,19,215,247,24,30}
        ,(vector unsigned char){63,200,29,67,101,165,134,166,63,208,217,212,213,210,56,27}
        ,(vector unsigned char){63,200,233,194,82,138,50,75,63,209,60,25,184,77,200,253}
        ,(vector unsigned char){63,201,186,248,174,253,163,128,63,209,163,28,36,178,62,228}
        ,(vector unsigned char){63,202,145,32,202,239,179,47,63,210,15,25,182,63,100,42}
        ,(vector unsigned char){63,203,108,119,242,224,178,190,63,210,128,84,77,22,190,229}
        ,(vector unsigned char){63,204,77,62,165,25,193,155,63,210,247,18,100,128,219,5}
        ,(vector unsigned char){63,205,51,184,203,32,86,60,63,211,115,159,113,84,94,63}
        ,(vector unsigned char){63,206,32,45,247,203,174,197,63,211,246,76,73,93,177,215}
        ,(vector unsigned char){63,207,18,233,170,109,238,82,63,212,127,111,148,193,42,137}
        ,(vector unsigned char){63,208,6,29,203,199,139,171,63,213,15,102,74,112,97,234}
        ,(vector unsigned char){63,208,134,59,251,227,4,200,63,213,166,148,56,238,125,165}
        ,(vector unsigned char){63,209,9,251,238,165,176,135,63,214,69,100,156,199,13,95}
        ,(vector unsigned char){63,209,145,140,200,121,229,94,63,214,236,74,198,72,186,65}
        ,(vector unsigned char){63,210,29,32,123,169,177,163,63,215,155,194,208,73,29,245}
        ,(vector unsigned char){63,210,172,235,255,113,41,94,63,216,84,82,105,242,196,189}
        ,(vector unsigned char){63,211,65,39,140,10,58,91,63,217,22,137,181,226,216,95}
        ,(vector unsigned char){63,211,218,14,220,57,117,185,63,217,227,4,65,42,168,173}
        ,(vector unsigned char){63,212,119,225,116,243,192,224,63,218,186,106,21,35,237,239}
        ,(vector unsigned char){63,213,26,226,243,199,170,218,63,219,157,112,231,111,60,151}
        ,(vector unsigned char){63,213,195,91,100,202,145,179,63,220,140,221,107,237,19,117}
        ,(vector unsigned char){63,214,113,151,160,226,63,150,63,221,137,132,205,14,12,46}
        ,(vector unsigned char){63,215,37,233,181,95,173,244,63,222,148,78,79,121,98,192}
        ,(vector unsigned char){63,215,224,169,85,255,193,47,63,223,174,53,38,198,77,238}
        ,(vector unsigned char){63,224,187,91,159,239,38,234,191,199,124,223,11,222,48,219}
        ,(vector unsigned char){63,224,152,91,200,34,243,152,191,199,45,212,20,54,177,98}
        ,(vector unsigned char){63,224,117,209,108,209,197,51,191,198,224,55,162,230,253,236}
        ,(vector unsigned char){63,224,83,186,110,144,136,126,191,198,148,1,68,84,210,142}
        ,(vector unsigned char){63,224,50,20,186,115,237,254,191,198,73,40,193,105,23,204}
        ,(vector unsigned char){63,224,16,222,73,183,37,49,191,197,255,166,29,147,51,105}
        ,(vector unsigned char){63,223,224,42,66,203,8,163,191,197,183,113,148,223,129,180}
        ,(vector unsigned char){63,223,159,110,164,14,1,32,191,197,112,131,154,32,39,49}
        ,(vector unsigned char){63,223,95,133,238,158,183,132,191,197,42,212,213,39,116,61}
        ,(vector unsigned char){63,223,32,108,111,159,219,146,191,196,230,94,33,19,29,176}
        ,(vector unsigned char){63,222,226,30,137,87,225,240,191,196,163,24,138,167,150,64}
        ,(vector unsigned char){63,222,164,152,178,158,115,131,191,196,96,253,78,186,220,222}
        ,(vector unsigned char){63,222,103,215,118,78,134,7,191,196,32,5,216,174,28,28}
        ,(vector unsigned char){63,222,43,215,114,188,242,74,191,195,224,43,192,245,126,96}
        ,(vector unsigned char){63,221,240,149,89,51,94,96,191,195,161,104,203,173,161,164}
        ,(vector unsigned char){63,221,182,13,237,111,83,182,191,195,99,182,231,62,28,114}
        ,(vector unsigned char){63,221,124,62,5,37,90,172,191,195,39,16,43,8,140,50}
        ,(vector unsigned char){63,221,67,34,135,135,246,215,191,194,235,110,214,35,171,4}
        ,(vector unsigned char){63,221,10,184,108,210,96,148,191,194,176,205,78,33,241,62}
        ,(vector unsigned char){63,220,210,252,189,214,217,242,191,194,119,38,29,227,76,36}
        ,(vector unsigned char){63,220,155,236,147,144,126,112,191,194,62,115,244,113,120,193}
        ,(vector unsigned char){63,220,101,133,22,184,110,54,191,194,6,177,163,230,150,199}
        ,(vector unsigned char){63,220,47,195,127,94,54,194,191,193,207,218,32,93,140,35}
        ,(vector unsigned char){63,219,250,165,20,131,92,47,191,193,153,232,126,235,214,121}
        ,(vector unsigned char){63,219,198,39,43,185,231,92,191,193,100,215,244,164,108,12}
        ,(vector unsigned char){63,219,146,71,40,197,222,66,191,193,48,163,213,163,81,189}
        ,(vector unsigned char){63,219,95,2,125,65,140,239,191,192,253,71,148,33,143,173}
        ,(vector unsigned char){63,219,44,86,168,68,134,117,191,192,202,190,191,145,49,187}
        ,(vector unsigned char){63,218,250,65,54,13,70,45,191,192,153,5,3,193,4,211}
        ,(vector unsigned char){63,218,200,191,191,173,90,132,191,192,104,22,40,7,197,32}
        ,(vector unsigned char){63,218,151,207,234,184,3,114,191,192,55,238,14,118,116,179}
        ,(vector unsigned char){63,218,103,111,104,243,47,128,191,192,8,136,179,17,149,11}
        ,(vector unsigned char){63,218,55,155,248,10,195,44,191,191,179,196,86,34,1,246}
        ,(vector unsigned char){63,218,8,83,97,70,23,22,191,191,87,237,72,76,78,87}
        ,(vector unsigned char){63,217,217,147,121,63,154,56,191,190,253,132,199,144,208,52}
        ,(vector unsigned char){63,217,171,90,31,158,134,33,191,190,164,131,141,14,186,28}
        ,(vector unsigned char){63,217,125,165,62,210,147,189,191,190,76,226,126,197,159,189}
        ,(vector unsigned char){63,217,80,114,203,209,159,240,191,189,246,154,174,80,91,123}
        ,(vector unsigned char){63,217,35,192,197,215,47,227,191,189,161,165,87,170,130,212}
        ,(vector unsigned char){63,216,247,141,54,37,197,118,191,189,77,251,224,0,6,170}
        ,(vector unsigned char){63,216,203,214,47,201,244,220,191,188,251,151,212,134,160,101}
        ,(vector unsigned char){63,216,160,153,207,95,44,237,191,188,170,114,233,96,176,237}
        ,(vector unsigned char){63,216,117,214,58,214,36,84,191,188,90,134,248,137,58,9}
        ,(vector unsigned char){63,216,75,137,161,60,222,34,191,188,11,206,0,200,158,54}
        ,(vector unsigned char){63,216,33,178,58,136,56,221,191,187,190,66,36,177,214,115}
        ,(vector unsigned char){63,215,248,78,71,94,251,161,191,187,113,221,169,167,208,174}
        ,(vector unsigned char){63,215,207,92,16,230,85,51,191,187,38,154,246,234,172,142}
        ,(vector unsigned char){63,215,166,217,232,143,193,143,191,186,220,116,148,172,143,65}
        ,(vector unsigned char){63,215,126,198,39,232,74,164,191,186,147,101,43,45,201,218}
        ,(vector unsigned char){63,215,87,31,48,105,25,144,191,186,75,103,129,224,16,95}
        ,(vector unsigned char){63,215,47,227,107,73,77,212,191,186,4,118,126,144,130,77}
        ,(vector unsigned char){63,215,9,17,73,81,16,150,191,185,190,141,36,152,71,191}
        ,(vector unsigned char){63,214,226,167,66,173,218,27,191,185,121,166,148,19,136,216}
        ,(vector unsigned char){63,214,188,163,214,199,224,61,191,185,53,190,9,30,135,45}
        ,(vector unsigned char){63,214,151,5,140,24,164,185,191,184,242,206,219,24,163,61}
        ,(vector unsigned char){63,214,113,202,240,2,154,167,191,184,176,212,123,237,25,241}
        ,(vector unsigned char){63,214,76,242,150,169,218,171,191,184,111,202,119,97,72,57}
        ,(vector unsigned char){63,214,40,123,26,205,221,190,191,184,47,172,114,104,68,171}
        ,(vector unsigned char){63,214,4,99,29,164,54,167,191,183,240,118,42,123,160,224}
        ,(vector unsigned char){63,213,224,169,70,180,66,144,191,183,178,35,116,249,38,27}
        ,(vector unsigned char){63,213,189,76,67,179,201,105,191,183,116,176,62,133,98,68}
        ,(vector unsigned char){63,213,154,74,200,100,134,228,191,183,56,24,138,114,220,28}
        ,(vector unsigned char){63,213,119,163,142,114,149,79,191,182,252,88,114,45,198,218}
        ,(vector unsigned char){63,213,85,85,85,84,138,168,191,182,193,108,32,35,64,251}
        };
    vector unsigned char var1718;
    vector unsigned char var1720;
    vector unsigned char var1722;
    vector unsigned char var1723;
    vector unsigned char var1725;
    vector unsigned char var1726;
    static const union {const vector unsigned char v[128];const char c[128*16];} var1727= 
        {(vector unsigned char){0,0,0,0,0,0,0,0,63,240,0,0,0,0,0,0}
        ,(vector unsigned char){63,128,0,10,170,189,222,11,63,240,0,32,0,96,1,81}
        ,(vector unsigned char){63,144,0,42,171,221,233,76,63,240,0,128,6,0,80,32}
        ,(vector unsigned char){63,152,0,144,9,29,144,36,63,240,1,32,30,99,143,216}
        ,(vector unsigned char){63,160,0,170,189,224,185,200,63,240,2,0,96,20,4,148}
        ,(vector unsigned char){63,164,1,77,143,250,248,174,63,240,3,32,234,172,101,155}
        ,(vector unsigned char){63,168,2,64,145,253,176,169,63,240,4,129,230,228,64,164}
        ,(vector unsigned char){63,172,3,147,230,92,44,147,63,240,6,35,134,159,247,120}
        ,(vector unsigned char){63,176,2,171,222,149,54,25,63,240,8,6,5,4,100,86}
        ,(vector unsigned char){63,178,3,206,43,56,12,211,63,240,10,41,166,142,52,53}
        ,(vector unsigned char){63,180,5,57,2,64,230,253,63,240,12,142,185,45,9,21}
        ,(vector unsigned char){63,182,6,244,151,48,204,197,63,240,15,53,148,98,121,141}
        ,(vector unsigned char){63,184,9,9,41,19,229,46,63,240,18,30,153,101,5,222}
        ,(vector unsigned char){63,186,11,127,3,186,120,172,63,240,21,74,51,71,30,42}
        ,(vector unsigned char){63,188,14,94,128,247,23,45,63,240,24,184,215,34,88,189}
        ,(vector unsigned char){63,190,17,176,9,226,105,181,63,240,28,107,4,70,251,3}
        ,(vector unsigned char){63,192,10,190,12,18,158,30,63,240,32,97,68,111,251,110}
        ,(vector unsigned char){63,193,12,229,155,164,168,196,63,240,36,156,43,251,166,137}
        ,(vector unsigned char){63,194,15,83,3,8,204,31,63,240,41,28,90,41,21,175}
        ,(vector unsigned char){63,195,18,10,155,237,47,69,63,240,45,226,121,90,170,39}
        ,(vector unsigned char){63,196,21,16,203,1,20,35,63,240,50,239,63,93,196,72}
        ,(vector unsigned char){63,197,24,106,0,173,233,116,63,240,56,67,109,183,243,24}
        ,(vector unsigned char){63,198,28,26,185,213,93,47,63,240,61,223,209,249,222,88}
        ,(vector unsigned char){63,199,32,39,128,148,205,60,63,240,67,197,70,24,50,138}
        ,(vector unsigned char){63,200,36,148,237,14,120,251,63,240,73,244,176,202,220,175}
        ,(vector unsigned char){63,201,41,103,166,56,219,56,63,240,80,111,5,242,234,0}
        ,(vector unsigned char){63,202,46,164,98,180,153,141,63,240,87,53,71,7,103,6}
        ,(vector unsigned char){63,203,52,79,233,169,124,77,63,240,94,72,131,137,160,255}
        ,(vector unsigned char){63,204,58,111,19,170,232,74,63,240,101,169,217,129,52,198}
        ,(vector unsigned char){63,205,65,6,203,164,91,8,63,240,109,90,118,0,95,70}
        ,(vector unsigned char){63,206,72,28,15,206,113,52,63,240,117,91,149,177,13,46}
        ,(vector unsigned char){63,207,79,179,242,173,7,155,63,240,125,174,133,107,49,236}
        ,(vector unsigned char){63,208,43,233,206,11,135,205,63,240,134,84,162,212,249,69}
        ,(vector unsigned char){63,208,176,64,37,36,92,204,63,240,143,79,93,13,115,61}
        ,(vector unsigned char){63,209,52,223,169,128,81,70,63,240,152,160,53,98,103,37}
        ,(vector unsigned char){63,209,185,203,18,84,94,97,63,240,162,72,192,18,9,96}
        ,(vector unsigned char){63,210,63,5,35,197,220,43,63,240,172,74,165,25,95,16}
        ,(vector unsigned char){63,210,196,144,175,139,222,128,63,240,182,167,161,16,44,93}
        ,(vector unsigned char){63,211,74,112,149,151,170,176,63,240,193,97,134,19,92,157}
        ,(vector unsigned char){63,211,208,167,196,196,189,155,63,240,204,122,60,190,232,165}
        ,(vector unsigned char){63,212,87,57,59,144,226,170,63,240,215,243,197,56,85,205}
        ,(vector unsigned char){63,212,222,40,8,220,229,19,63,240,227,208,56,75,1,71}
        ,(vector unsigned char){63,213,101,119,76,182,111,1,63,240,240,17,200,151,134,118}
        ,(vector unsigned char){63,213,237,42,57,43,181,15,63,240,252,186,195,215,172,237}
        ,(vector unsigned char){63,214,117,68,19,41,152,110,63,241,9,205,148,56,107,170}
        ,(vector unsigned char){63,214,253,200,51,100,247,25,63,241,23,76,193,203,179,101}
        ,(vector unsigned char){63,215,134,186,7,79,239,146,63,241,37,58,244,19,217,194}
        ,(vector unsigned char){63,216,16,29,18,27,237,44,63,241,51,154,243,170,171,100}
        ,(vector unsigned char){63,216,153,244,237,201,98,210,63,241,66,111,172,6,91,207}
        ,(vector unsigned char){63,217,36,69,76,70,44,196,63,241,81,188,45,94,191,224}
        ,(vector unsigned char){63,217,175,17,248,155,166,28,63,241,97,131,174,181,123,201}
        ,(vector unsigned char){63,218,58,94,216,45,149,54,63,241,113,201,144,4,15,230}
        ,(vector unsigned char){63,218,198,47,236,11,42,145,63,241,130,145,92,146,249,175}
        ,(vector unsigned char){63,219,82,137,82,83,104,170,63,241,147,222,205,125,112,81}
        ,(vector unsigned char){63,219,223,111,71,174,105,3,63,241,165,181,204,101,160,60}
        ,(vector unsigned char){63,220,108,230,40,221,19,43,63,241,184,26,118,93,175,28}
        ,(vector unsigned char){63,220,250,242,116,96,254,157,63,241,203,17,31,10,68,78}
        ,(vector unsigned char){63,221,137,152,204,62,96,72,63,241,222,158,84,3,209,160}
        ,(vector unsigned char){63,222,24,221,247,218,16,105,63,241,242,198,224,124,103,250}
        ,(vector unsigned char){63,222,168,198,229,245,230,125,63,242,7,143,209,48,132,106}
        ,(vector unsigned char){63,223,57,88,174,205,222,242,63,242,28,254,120,169,247,118}
        ,(vector unsigned char){63,223,202,152,150,88,186,173,63,242,51,24,115,220,212,167}
        ,(vector unsigned char){63,224,46,70,7,87,133,160,63,242,73,227,175,39,62,156}
        ,(vector unsigned char){63,224,119,156,93,77,244,183,63,242,97,102,107,189,232,91}
        ,(vector unsigned char){63,241,62,130,96,219,81,122,192,3,72,20,154,78,222,224}
        ,(vector unsigned char){63,240,241,131,109,192,85,146,192,3,55,106,200,124,44,42}
        ,(vector unsigned char){63,240,164,198,220,59,163,140,192,3,38,227,187,149,55,153}
        ,(vector unsigned char){63,240,88,76,34,35,25,1,192,3,22,126,255,46,74,34}
        ,(vector unsigned char){63,240,12,18,183,26,11,245,192,3,6,60,32,244,208,91}
        ,(vector unsigned char){63,239,128,52,41,17,254,18,192,2,246,26,176,163,7,156}
        ,(vector unsigned char){63,238,232,195,107,43,12,158,192,2,230,26,63,244,2,228}
        ,(vector unsigned char){63,238,81,210,46,52,182,180,192,2,214,58,98,152,4,180}
        ,(vector unsigned char){63,237,187,95,111,63,62,131,192,2,198,122,174,41,43,19}
        ,(vector unsigned char){63,237,37,106,46,166,146,177,192,2,182,218,186,32,107,16}
        ,(vector unsigned char){63,236,143,241,112,3,130,178,192,2,167,90,31,202,217,61}
        ,(vector unsigned char){63,235,250,244,58,29,71,175,192,2,151,248,122,63,60,162}
        ,(vector unsigned char){63,235,102,113,150,219,95,183,192,2,136,181,102,83,233,207}
        ,(vector unsigned char){63,234,210,104,147,55,184,254,192,2,121,144,130,148,227,189}
        ,(vector unsigned char){63,234,62,216,63,49,43,3,192,2,106,137,111,58,64,81}
        ,(vector unsigned char){63,233,171,191,173,190,59,138,192,2,91,159,206,30,206,90}
        ,(vector unsigned char){63,233,25,29,244,192,45,108,192,2,76,211,66,182,251,4}
        ,(vector unsigned char){63,232,134,242,44,246,87,62,192,2,62,35,114,7,244,194}
        ,(vector unsigned char){63,231,245,59,113,241,191,244,192,2,47,144,2,159,9,198}
        ,(vector unsigned char){63,231,99,248,226,8,255,170,192,2,33,24,156,137,64,62}
        ,(vector unsigned char){63,230,211,41,158,76,98,200,192,2,18,188,233,75,38,119}
        ,(vector unsigned char){63,230,66,204,202,122,77,200,192,2,4,124,147,216,217,80}
        ,(vector unsigned char){63,229,178,225,140,243,223,251,192,1,246,87,72,142,63,59}
        ,(vector unsigned char){63,229,35,103,14,177,211,164,192,1,232,76,181,39,118,72}
        ,(vector unsigned char){63,228,148,92,123,57,153,223,192,1,218,92,136,185,115,162}
        ,(vector unsigned char){63,228,5,193,0,146,176,201,192,1,204,134,115,170,211,16}
        ,(vector unsigned char){63,227,119,147,207,60,50,113,192,1,190,202,39,172,213,2}
        ,(vector unsigned char){63,226,233,212,26,34,155,36,192,1,177,39,87,180,137,201}
        ,(vector unsigned char){63,226,92,129,22,149,197,173,192,1,163,157,183,244,40,164}
        ,(vector unsigned char){63,225,207,153,252,63,28,56,192,1,150,44,253,212,145,97}
        ,(vector unsigned char){63,225,67,30,5,23,252,117,192,1,136,212,223,238,247,68}
        ,(vector unsigned char){63,224,183,12,109,96,77,212,192,1,123,149,22,6,180,6}
        ,(vector unsigned char){63,224,43,100,115,149,72,122,192,1,110,109,89,3,65,195}
        ,(vector unsigned char){63,223,64,74,176,208,215,191,192,1,97,93,98,234,90,187}
        ,(vector unsigned char){63,222,42,156,189,109,71,159,192,1,84,100,238,218,61,194}
        ,(vector unsigned char){63,221,21,189,150,255,53,125,192,1,71,131,185,4,22,96}
        ,(vector unsigned char){63,220,1,171,203,186,112,156,192,1,58,185,126,166,135,146}
        ,(vector unsigned char){63,218,238,101,237,246,149,237,192,1,46,5,254,8,88,54}
        ,(vector unsigned char){63,217,219,234,148,30,183,145,192,1,33,104,246,115,64,41}
        ,(vector unsigned char){63,216,202,56,88,161,86,142,192,1,20,226,40,46,213,56}
        ,(vector unsigned char){63,215,185,77,217,224,172,183,192,1,8,113,84,123,150,229}
        ,(vector unsigned char){63,214,169,41,186,35,68,236,192,0,252,22,61,142,24,70}
        ,(vector unsigned char){63,213,153,202,159,132,223,206,192,0,239,208,166,138,71,9}
        ,(vector unsigned char){63,212,139,47,51,231,163,32,192,0,227,160,83,126,206,223}
        ,(vector unsigned char){63,211,125,86,36,229,146,16,192,0,215,133,9,96,152,135}
        ,(vector unsigned char){63,210,112,62,35,194,76,192,192,0,203,126,142,6,99,168}
        ,(vector unsigned char){63,209,99,229,229,93,21,85,192,0,191,140,168,36,122,205}
        ,(vector unsigned char){63,208,88,76,34,35,25,1,192,0,179,175,31,72,128,200}
        ,(vector unsigned char){63,206,154,223,44,3,246,223,192,0,167,229,187,213,86,201}
        ,(vector unsigned char){63,204,134,158,0,181,70,22,192,0,156,48,70,255,26,129}
        ,(vector unsigned char){63,202,115,210,71,232,137,86,192,0,144,142,138,199,59,166}
        ,(vector unsigned char){63,200,98,121,141,223,90,90,192,0,133,0,81,248,168,71}
        ,(vector unsigned char){63,198,82,145,101,117,143,49,192,0,121,133,104,36,15,59}
        ,(vector unsigned char){63,196,68,23,104,8,188,224,192,0,110,29,153,156,56,47}
        ,(vector unsigned char){63,194,55,9,53,96,45,172,192,0,98,200,179,114,112,175}
        ,(vector unsigned char){63,192,43,100,115,149,72,122,192,0,87,134,131,115,13,160}
        ,(vector unsigned char){63,188,66,77,157,248,205,144,192,0,76,86,216,34,0,166}
        ,(vector unsigned char){63,184,48,155,244,28,45,105,192,0,65,57,128,183,128,237}
        ,(vector unsigned char){63,180,33,175,90,161,141,147,192,0,54,46,77,28,198,217}
        ,(vector unsigned char){63,176,21,131,78,133,178,69,192,0,43,53,13,232,218,17}
        ,(vector unsigned char){63,168,24,38,177,20,110,209,192,0,32,77,148,93,113,126}
        ,(vector unsigned char){63,160,10,182,26,22,141,236,192,0,21,119,178,99,228,191}
        ,(vector unsigned char){63,144,5,88,47,88,67,78,192,0,10,179,58,138,46,154}
        ,(vector unsigned char){0,0,0,0,0,0,0,0,192,0,0,0,0,0,0,2}
        };
    vector unsigned char var1730;
    vector unsigned char var1732;
    vector unsigned char var1734;
    vector unsigned char var1735;
    vector unsigned char var1737;
    vector unsigned char var1738;
    vector unsigned char var1739;
    vector unsigned char var1740;
    vector unsigned char var1741;
    vector unsigned char var1742;
    vector unsigned char var1786;
    vector unsigned char var1787;
    vector unsigned char var1788;
    vector unsigned char var1789;
    vector unsigned char var1790;
    vector unsigned char var1791;
    vector unsigned char var1792;
    vector unsigned char var1793;
    vector unsigned char var1794;
    vector unsigned char var1795;
    vector unsigned char var1796;
    vector unsigned char var1797;
    vector unsigned char var1798;
    vector unsigned char var1799;
    vector unsigned char var1800;
    vector unsigned char var1801;
    vector unsigned char var1802;
    vector unsigned char var1803;
    vector unsigned char var1804;
    vector unsigned char var1805;
    vector unsigned char var1806;
    vector unsigned char var1807;
    vector unsigned char var1808;
    vector unsigned char var1809;
    vector unsigned char var1810;
    vector unsigned char var1811;
    vector unsigned char var1813;
    vector unsigned char var1815;
    vector unsigned char var1816;
    vector unsigned char var1817;
    vector unsigned char var1819;
    vector unsigned char var1821;
    vector unsigned char var1822;
    vector unsigned char var1823;
    vector unsigned char var1824;
    vector unsigned char var1825;
    vector unsigned char var1826;
    vector unsigned char var1827;
    vector unsigned char var1828;
    vector unsigned char var1829;
    vector unsigned char var1830;
    vector unsigned char var1831;
    vector unsigned char var1832;
    vector unsigned char var1833;
    vector unsigned char var1834;
    vector unsigned char var1836;
    vector unsigned char var1837;
    vector unsigned char var1839;
    vector unsigned char var1840;
    vector unsigned char var1841;
    vector unsigned char var1842;
    vector unsigned char var1843;
    vector unsigned char var1844;
    vector unsigned char var1846;
    vector double var1847;
    var1662=(vector unsigned char){0,0,0,64,0,0,0,64,0,0,0,64,0,0,0,64};
    var1663=(vector unsigned char){0,1,2,3,16,17,18,19,8,9,10,11,24,25,26,27};
    var1665=(vector unsigned char){63,255,255,255,255,255,253,255,191,255,255,255,255,255,253,255};
    var1666=(vector unsigned char){0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15};
    var1667=(vector unsigned char){8,0,0,0,0,0,0,0,0,8,8,8,8,8,8,8};
    var1670=(vector unsigned char){8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8};
    var1673=(vector unsigned char){64,144,0,0,0,0,0,0,64,144,0,0,0,0,0,0};
    var1686=(vector unsigned char){12,128,128,17,0,128,128,21,4,128,128,25,8,128,128,29};
    var1689=(vector unsigned char){64,144,8,0,64,144,8,0,64,144,8,0,64,144,8,0};
    var1697=(vector unsigned char){8,9,10,11,12,13,14,15,24,25,26,27,28,29,30,31};
    var1699=(vector unsigned char){63,240,0,0,0,0,0,0,191,240,0,0,0,0,0,0};
    var1702=(vector unsigned char){128,128,2,3,128,128,128,128,128,128,10,11,128,128,128,128};
    var1709=(vector unsigned char){0,1,2,3,4,5,6,7,16,17,18,19,20,21,22,23};
    var1711=(vector unsigned char){23,6,7,128,128,128,128,128,31,14,15,128,128,128,128,128};
    var1739=(vector unsigned char){67,240,0,0,0,0,0,0,67,240,0,0,0,0,0,0};
    var1787=(vector unsigned char){255,240,0,0,255,240,0,0,255,240,0,0,255,240,0,0};
    var1789=(vector unsigned char){128,0,128,128,128,4,128,128,128,8,128,128,128,12,128,128};
    var1792=(vector unsigned char){128,1,2,3,128,5,6,7,128,9,10,11,128,13,14,15};
    var1795=(vector unsigned char){63,128,0,0,63,128,0,0,63,128,0,0,63,128,0,0};
    var1801=(vector unsigned char){87,240,0,0,87,240,0,0,87,240,0,0,87,240,0,0};
    var1803=(vector unsigned char){0,1,2,3,128,128,128,128,8,9,10,11,128,128,128,128};
    var1806=(vector unsigned char){63,240,0,0,0,0,0,0,63,240,0,0,0,0,0,0};
    var1808=(vector unsigned char){63,224,0,0,0,0,0,0,63,224,0,0,0,0,0,0};
    var1824=(vector unsigned char){61,240,0,0,0,0,0,0,61,240,0,0,0,0,0,0};
    var1827=(vector unsigned char){127,240,0,0,0,0,0,0,127,240,0,0,0,0,0,0};
    var1828=(vector unsigned char){127,239,255,255,255,255,255,255,127,239,255,255,255,255,255,255};
    var1831=(vector unsigned char){0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1};
    var1834=(vector unsigned char){0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};
    var1839=(vector unsigned char){2,2,2,2,2,2,2,2,10,10,10,10,10,10,10,10};
    var1842=(vector unsigned char){16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16};
    var1660=(vector unsigned char)var1660In;
    var1668=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var1660),(vector unsigned char) ((qword)var1660),(vector unsigned char) ((qword)var1667));
    var1669=(vector unsigned char)spu_rlqw((vector unsigned char) ((qword)var1668),(int) ((int)4));
    var1671=(vector unsigned char)spu_sel((vector unsigned char) ((qword)var1666),(vector unsigned char) ((qword)var1669),(vector unsigned char) ((qword)var1670));
    var1700=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var1699),(vector unsigned char) ((qword)var1699),(vector unsigned char) ((qword)var1671));
    var1672=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var1665),(vector unsigned char) ((qword)var1665),(vector unsigned char) ((qword)var1671));
    var1674=(vector unsigned char)spu_madd((vector double) ((qword)var1672),(vector double) ((qword)var1660),(vector double) ((qword)var1673));
    var1840=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var1674),(vector unsigned char) ((qword)var1674),(vector unsigned char) ((qword)var1839));
    var1841=(vector unsigned char)spu_rlqw((vector unsigned char) ((qword)var1840),(int) ((int)2));
    var1843=(vector unsigned char)spu_sel((vector unsigned char) ((qword)var1666),(vector unsigned char) ((qword)var1841),(vector unsigned char) ((qword)var1842));
    var1703=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var1674),(vector unsigned char) ((qword)var1674),(vector unsigned char) ((qword)var1702));
    var1730=*(vector unsigned char*)(var1727.c+spu_extract((vector signed int)var1703,0));
    var1718=*(vector unsigned char*)(var1715.c+spu_extract((vector signed int)var1703,0));
    var1705=(vector unsigned char)spu_rlqwbyte((vector unsigned char) ((qword)var1703),(int) ((int)8));
    var1732=*(vector unsigned char*)(var1727.c+spu_extract((vector signed int)var1705,0));
    var1737=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var1730),(vector unsigned char) ((qword)var1732),(vector unsigned char) ((qword)var1709));
    var1734=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var1730),(vector unsigned char) ((qword)var1732),(vector unsigned char) ((qword)var1697));
    var1720=*(vector unsigned char*)(var1715.c+spu_extract((vector signed int)var1705,0));
    var1725=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var1718),(vector unsigned char) ((qword)var1720),(vector unsigned char) ((qword)var1709));
    var1722=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var1718),(vector unsigned char) ((qword)var1720),(vector unsigned char) ((qword)var1697));
    var1706=*(vector unsigned char*)(var1701.c+spu_extract((vector signed int)var1705,0));
    var1704=*(vector unsigned char*)(var1701.c+spu_extract((vector signed int)var1703,0));
    var1710=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var1704),(vector unsigned char) ((qword)var1706),(vector unsigned char) ((qword)var1709));
    var1708=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var1704),(vector unsigned char) ((qword)var1706),(vector unsigned char) ((qword)var1697));
    var1712=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var1708),(vector unsigned char) ((qword)var1710),(vector unsigned char) ((qword)var1711));
    var1713=(vector unsigned char)spu_madd((vector double) ((qword)var1660),(vector double) ((qword)var1700),(vector double) ((qword)var1712));
    var1714=(vector unsigned char)spu_madd((vector double) ((qword)var1713),(vector double) ((qword)var1708),(vector double) ((qword)var1710));
    var1723=(vector unsigned char)spu_madd((vector double) ((qword)var1713),(vector double) ((qword)var1714),(vector double) ((qword)var1722));
    var1726=(vector unsigned char)spu_madd((vector double) ((qword)var1713),(vector double) ((qword)var1723),(vector double) ((qword)var1725));
    var1735=(vector unsigned char)spu_madd((vector double) ((qword)var1713),(vector double) ((qword)var1726),(vector double) ((qword)var1734));
    var1738=(vector unsigned char)spu_madd((vector double) ((qword)var1713),(vector double) ((qword)var1735),(vector double) ((qword)var1737));
    var1836=(vector unsigned char)spu_cmpeq((vector double) ((qword)var1738),(vector double) ((qword)var1834));
    var1832=(vector unsigned char)spu_cmpgt((vector double) ((qword)var1831),(vector double) ((qword)var1738));
    var1829=(vector unsigned char)spu_cmpabsgt((vector double) ((qword)var1738),(vector double) ((qword)var1828));
    var1741=(vector unsigned char)spu_testsv((vector double) ((qword)var1738),(int) ((int)3));
    var1740=(vector unsigned char)spu_mul((vector double) ((qword)var1738),(vector double) ((qword)var1739));
    var1742=(vector unsigned char)spu_sel((vector unsigned char) ((qword)var1738),(vector unsigned char) ((qword)var1740),(vector unsigned char) ((qword)var1741));
    var1786=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var1742),(vector unsigned char) ((qword)var1742),(vector unsigned char) ((qword)var1663));
    var1788=(vector unsigned char)spu_add((vector signed int) ((qword)var1786),(vector signed int) ((qword)var1787));
    var1793=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var1788),(vector unsigned char) ((qword)var1788),(vector unsigned char) ((qword)var1792));
    var1794=(vector unsigned char)spu_rlqw((vector unsigned char) ((qword)var1793),(int) ((int)3));
    var1796=(vector unsigned char)spu_add((vector signed int) ((qword)var1794),(vector signed int) ((qword)var1795));
    var1797=(vector unsigned char)spu_rsqrte((vector float) ((qword)var1796));
    var1798=(vector unsigned char)((vector unsigned char) ((qword)var1796),(vector unsigned char) ((qword)var1797));
    var1799=(vector unsigned char)spu_rlmask((vector signed int) ((qword)var1798),(int) ((int)-3));
    var1790=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var1788),(vector unsigned char) ((qword)var1788),(vector unsigned char) ((qword)var1789));
    var1791=(vector unsigned char)spu_rlqw((vector unsigned char) ((qword)var1790),(int) ((int)7));
    var1800=(vector unsigned char)spu_sub((vector signed int) ((qword)var1799),(vector signed int) ((qword)var1791));
    var1802=(vector unsigned char)spu_add((vector signed int) ((qword)var1800),(vector signed int) ((qword)var1801));
    var1804=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var1802),(vector unsigned char) ((qword)var1802),(vector unsigned char) ((qword)var1803));
    var1809=(vector unsigned char)spu_mul((vector double) ((qword)var1804),(vector double) ((qword)var1808));
    var1805=(vector unsigned char)spu_mul((vector double) ((qword)var1742),(vector double) ((qword)var1804));
    var1807=(vector unsigned char)spu_nmsub((vector double) ((qword)var1805),(vector double) ((qword)var1804),(vector double) ((qword)var1806));
    var1810=(vector unsigned char)spu_madd((vector double) ((qword)var1807),(vector double) ((qword)var1809),(vector double) ((qword)var1804));
    var1815=(vector unsigned char)spu_mul((vector double) ((qword)var1810),(vector double) ((qword)var1808));
    var1811=(vector unsigned char)spu_mul((vector double) ((qword)var1742),(vector double) ((qword)var1810));
    var1813=(vector unsigned char)spu_nmsub((vector double) ((qword)var1811),(vector double) ((qword)var1810),(vector double) ((qword)var1806));
    var1816=(vector unsigned char)spu_madd((vector double) ((qword)var1813),(vector double) ((qword)var1815),(vector double) ((qword)var1810));
    var1821=(vector unsigned char)spu_mul((vector double) ((qword)var1816),(vector double) ((qword)var1808));
    var1817=(vector unsigned char)spu_mul((vector double) ((qword)var1742),(vector double) ((qword)var1816));
    var1819=(vector unsigned char)spu_nmsub((vector double) ((qword)var1817),(vector double) ((qword)var1816),(vector double) ((qword)var1806));
    var1822=(vector unsigned char)spu_madd((vector double) ((qword)var1819),(vector double) ((qword)var1821),(vector double) ((qword)var1816));
    var1823=(vector unsigned char)spu_mul((vector double) ((qword)var1822),(vector double) ((qword)var1742));
    var1825=(vector unsigned char)spu_mul((vector double) ((qword)var1823),(vector double) ((qword)var1824));
    var1826=(vector unsigned char)spu_sel((vector unsigned char) ((qword)var1823),(vector unsigned char) ((qword)var1825),(vector unsigned char) ((qword)var1741));
    var1830=(vector unsigned char)spu_sel((vector unsigned char) ((qword)var1826),(vector unsigned char) ((qword)var1827),(vector unsigned char) ((qword)var1829));
    var1833=(vector unsigned char)spu_or((vector unsigned char) ((qword)var1830),(vector unsigned char) ((qword)var1832));
    var1837=(vector unsigned char)spu_sel((vector unsigned char) ((qword)var1833),(vector unsigned char) ((qword)var1834),(vector unsigned char) ((qword)var1836));
    var1844=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var1738),(vector unsigned char) ((qword)var1837),(vector unsigned char) ((qword)var1843));
    var1684=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var1674),(vector unsigned char) ((qword)var1674),(vector unsigned char) ((qword)var1663));
    var1692=(vector unsigned char)spu_cmpgt((vector unsigned int) ((qword)var1689),(vector unsigned int) ((qword)var1684));
    var1685=(vector unsigned char)spu_rlqw((vector unsigned char) ((qword)var1684),(int) ((int)6));
    var1664=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var1660),(vector unsigned char) ((qword)var1660),(vector unsigned char) ((qword)var1663));
    var1687=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var1664),(vector unsigned char) ((qword)var1685),(vector unsigned char) ((qword)var1686));
    var1688=(vector unsigned char)spu_rlqw((vector unsigned char) ((qword)var1687),(int) ((int)5));
    var1693=(vector unsigned char)spu_sel((vector unsigned char) ((qword)var1662),(vector unsigned char) ((qword)var1688),(vector unsigned char) ((qword)var1692));
    var1695=(vector unsigned char)spu_rlqwbyte((vector unsigned char) ((qword)var1693),(int) ((int)8));
    var1696=*(vector unsigned char*)(var1661.c+spu_extract((vector signed int)var1695,0));
    var1694=*(vector unsigned char*)(var1661.c+spu_extract((vector signed int)var1693,0));
    var1846=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var1694),(vector unsigned char) ((qword)var1696),(vector unsigned char) ((qword)var1709));
    var1698=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var1694),(vector unsigned char) ((qword)var1696),(vector unsigned char) ((qword)var1697));
    var1847=(vector double)spu_madd((vector double) ((qword)var1698),(vector double) ((qword)var1844),(vector double) ((qword)var1846));
    return var1847;}

#endif
