/**********************************************************************/
/*                                                                    */
/*   Licensed Materials - Property of IBM.                            */
/*   5724-T42 5724-T43 5724-T44                                       */
/*   Copyright IBM Corp. and by others 2008.                          */
/*   All Rights Reserved.                                             */
/*   US Government Users Restricted Rights -                          */
/*   Use, duplication or disclosure restricted by                     */
/*   GSA ADP Schedule Contract with IBM Corp.                         */
/*                                                                    */
/**********************************************************************/
#ifndef MASS_HYPOT_H
#define MASS_HYPOT_H
#include <spu_intrinsics.h>
static __inline vector double _hypotd2(vector double var6855In,vector double var6856In){
    vector unsigned char var6855;
    vector unsigned char var6856;
    vector unsigned char var6857;
    vector unsigned char var6858;
    vector unsigned char var6859;
    vector unsigned char var6860;
    vector unsigned char var6861;
    vector unsigned char var6862;
    vector unsigned char var6863;
    vector unsigned char var6864;
    vector unsigned char var6866;
    vector unsigned char var6867;
    vector unsigned char var6868;
    vector unsigned char var6869;
    vector unsigned char var6870;
    vector unsigned char var6871;
    vector unsigned char var6872;
    vector unsigned char var6873;
    vector unsigned char var6874;
    vector unsigned char var6875;
    vector unsigned char var6876;
    vector unsigned char var6877;
    vector unsigned char var6878;
    vector unsigned char var6879;
    vector unsigned char var6880;
    vector unsigned char var6881;
    vector unsigned char var6882;
    vector unsigned char var6883;
    vector unsigned char var6884;
    vector unsigned char var6885;
    vector unsigned char var6886;
    vector unsigned char var6887;
    vector unsigned char var6888;
    vector unsigned char var6890;
    vector unsigned char var6891;
    vector unsigned char var6892;
    vector unsigned char var6893;
    vector unsigned char var6894;
    vector unsigned char var6895;
    vector unsigned char var6896;
    vector unsigned char var6897;
    vector unsigned char var6898;
    vector unsigned char var6899;
    vector unsigned char var6900;
    vector unsigned char var6901;
    vector unsigned char var6902;
    vector unsigned char var6903;
    vector unsigned char var6904;
    vector unsigned char var6905;
    vector unsigned char var6906;
    vector unsigned char var6908;
    vector unsigned char var6909;
    vector unsigned char var6910;
    vector unsigned char var6911;
    vector unsigned char var6912;
    vector unsigned char var6913;
    vector unsigned char var6914;
    vector unsigned char var6915;
    vector unsigned char var6917;
    vector unsigned char var6919;
    vector unsigned char var6920;
    vector unsigned char var6921;
    vector unsigned char var6923;
    vector unsigned char var6925;
    vector unsigned char var6926;
    vector unsigned char var6927;
    vector unsigned char var6928;
    vector unsigned char var6929;
    vector unsigned char var6931;
    vector unsigned char var6932;
    vector unsigned char var6933;
    vector unsigned char var6934;
    vector unsigned char var6935;
    vector unsigned char var6936;
    vector unsigned char var6939;
    vector unsigned char var6940;
    vector unsigned char var6943;
    vector unsigned char var6944;
    vector unsigned char var6945;
    vector unsigned char var6947;
    vector unsigned char var6949;
    vector unsigned char var6952;
    vector unsigned char var6953;
    vector unsigned char var6956;
    vector unsigned char var6957;
    vector unsigned char var6958;
    vector unsigned char var6959;
    vector unsigned char var6960;
    vector double var6961;
    var6857=(vector unsigned char){63,240,0,0,63,240,0,0,63,240,0,0,63,240,0,0};
    var6858=(vector unsigned char){103,240,0,0,103,240,0,0,103,240,0,0,103,240,0,0};
    var6859=(vector unsigned char){33,160,0,0,33,160,0,0,33,160,0,0,33,160,0,0};
    var6860=(vector unsigned char){0,1,2,3,16,17,18,19,8,9,10,11,24,25,26,27};
    var6862=(vector unsigned char){128,0,0,0,128,0,0,0,128,0,0,0,128,0,0,0};
    var6871=(vector unsigned char){31,112,0,0,31,112,0,0,31,112,0,0,31,112,0,0};
    var6872=(vector unsigned char){95,48,0,0,95,48,0,0,95,48,0,0,95,48,0,0};
    var6877=(vector unsigned char){0,1,2,3,128,128,128,128,8,9,10,11,128,128,128,128};
    var6883=(vector unsigned char){4,5,6,7,128,128,128,128,12,13,14,15,128,128,128,128};
    var6891=(vector unsigned char){255,240,0,0,255,240,0,0,255,240,0,0,255,240,0,0};
    var6893=(vector unsigned char){128,0,128,128,128,4,128,128,128,8,128,128,128,12,128,128};
    var6896=(vector unsigned char){128,1,2,3,128,5,6,7,128,9,10,11,128,13,14,15};
    var6899=(vector unsigned char){63,128,0,0,63,128,0,0,63,128,0,0,63,128,0,0};
    var6905=(vector unsigned char){87,240,0,0,87,240,0,0,87,240,0,0,87,240,0,0};
    var6910=(vector unsigned char){63,240,0,0,0,0,0,0,63,240,0,0,0,0,0,0};
    var6912=(vector unsigned char){63,224,0,0,0,0,0,0,63,224,0,0,0,0,0,0};
    var6928=(vector unsigned char){127,224,0,0,127,224,0,0,127,224,0,0,127,224,0,0};
    var6933=(vector unsigned char){0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};
    var6934=(vector unsigned char){127,240,0,0,127,240,0,0,127,240,0,0,127,240,0,0};
    var6935=(vector unsigned char){127,239,255,255,255,255,255,255,127,239,255,255,255,255,255,255};
    var6959=(vector unsigned char){0,1,2,3,0,1,2,3,8,9,10,11,8,9,10,11};
    var6855=(vector unsigned char)var6855In;
    var6856=(vector unsigned char)var6856In;
    var6940=(vector unsigned char)spu_cmpabsgt((vector double) ((qword)var6856),(vector double) ((qword)var6935));
    var6936=(vector unsigned char)spu_cmpabsgt((vector double) ((qword)var6855),(vector double) ((qword)var6935));
    var6953=(vector unsigned char)spu_cmpabseq((vector double) ((qword)var6933),(vector double) ((qword)var6856));
    var6949=(vector unsigned char)spu_cmpabseq((vector double) ((qword)var6933),(vector double) ((qword)var6855));
    var6956=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var6953),(vector unsigned char) ((qword)var6953),(vector unsigned char) ((qword)var6860));

    var6952=(vector unsigned char)(spu_shuffle((vector unsigned char) (var6949),(vector unsigned char) (var6949),(qword) (var6860)));

    var6957=(vector unsigned char)spu_and((vector unsigned char) ((qword)var6952),(vector unsigned char) ((qword)var6956));
    var6943=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var6940),(vector unsigned char) ((qword)var6940),(vector unsigned char) ((qword)var6860));
    var6939=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var6936),(vector unsigned char) ((qword)var6936),(vector unsigned char) ((qword)var6860));
    var6944=(vector unsigned char)spu_or((vector unsigned char) ((qword)var6939),(vector unsigned char) ((qword)var6943));
    var6958=(vector unsigned char)spu_or((vector unsigned char) ((qword)var6944),(vector unsigned char) ((qword)var6957));
    var6960=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var6958),(vector unsigned char) ((qword)var6958),(vector unsigned char) ((qword)var6959));
    var6945=(vector unsigned char)spu_sel((vector unsigned char) ((qword)var6933),(vector unsigned char) ((qword)var6934),(vector unsigned char) ((qword)var6944));
    var6947=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var6945),(vector unsigned char) ((qword)var6945),(vector unsigned char) ((qword)var6877));
    var6866=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var6856),(vector unsigned char) ((qword)var6856),(vector unsigned char) ((qword)var6860));
    var6867=(vector unsigned char)spu_andc((vector unsigned char) ((qword)var6866),(vector unsigned char) ((qword)var6862));
    var6874=(vector unsigned char)spu_cmpgt((vector unsigned int) ((qword)var6867),(vector unsigned int) ((qword)var6872));
    var6861=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var6855),(vector unsigned char) ((qword)var6855),(vector unsigned char) ((qword)var6860));
    var6863=(vector unsigned char)spu_andc((vector unsigned char) ((qword)var6861),(vector unsigned char) ((qword)var6862));
    var6873=(vector unsigned char)spu_cmpgt((vector unsigned int) ((qword)var6863),(vector unsigned int) ((qword)var6872));
    var6875=(vector unsigned char)spu_or((vector unsigned char) ((qword)var6873),(vector unsigned char) ((qword)var6874));
    var6868=(vector unsigned char)spu_cmpgt((vector unsigned int) ((qword)var6859),(vector unsigned int) ((qword)var6867));
    var6864=(vector unsigned char)spu_cmpgt((vector unsigned int) ((qword)var6859),(vector unsigned int) ((qword)var6863));
    var6869=(vector unsigned char)spu_and((vector unsigned char) ((qword)var6864),(vector unsigned char) ((qword)var6868));
    var6870=(vector unsigned char)spu_sel((vector unsigned char) ((qword)var6857),(vector unsigned char) ((qword)var6858),(vector unsigned char) ((qword)var6869));
    var6876=(vector unsigned char)spu_sel((vector unsigned char) ((qword)var6870),(vector unsigned char) ((qword)var6871),(vector unsigned char) ((qword)var6875));
    var6929=(vector unsigned char)spu_sub((vector signed int) ((qword)var6928),(vector signed int) ((qword)var6876));
    var6931=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var6929),(vector unsigned char) ((qword)var6929),(vector unsigned char) ((qword)var6877));
    var6884=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var6876),(vector unsigned char) ((qword)var6876),(vector unsigned char) ((qword)var6883));
    var6886=(vector unsigned char)spu_mul((vector double) ((qword)var6884),(vector double) ((qword)var6855));
    var6887=(vector unsigned char)spu_mul((vector double) ((qword)var6886),(vector double) ((qword)var6886));
    var6885=(vector unsigned char)spu_mul((vector double) ((qword)var6884),(vector double) ((qword)var6856));
    var6888=(vector unsigned char)spu_madd((vector double) ((qword)var6885),(vector double) ((qword)var6885),(vector double) ((qword)var6887));
    var6878=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var6876),(vector unsigned char) ((qword)var6876),(vector unsigned char) ((qword)var6877));
    var6880=(vector unsigned char)spu_mul((vector double) ((qword)var6878),(vector double) ((qword)var6855));
    var6881=(vector unsigned char)spu_mul((vector double) ((qword)var6880),(vector double) ((qword)var6880));
    var6879=(vector unsigned char)spu_mul((vector double) ((qword)var6878),(vector double) ((qword)var6856));
    var6882=(vector unsigned char)spu_madd((vector double) ((qword)var6879),(vector double) ((qword)var6879),(vector double) ((qword)var6881));
    var6890=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var6882),(vector unsigned char) ((qword)var6888),(vector unsigned char) ((qword)var6860));
    var6892=(vector unsigned char)spu_add((vector signed int) ((qword)var6890),(vector signed int) ((qword)var6891));
    var6897=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var6892),(vector unsigned char) ((qword)var6892),(vector unsigned char) ((qword)var6896));
    var6898=(vector unsigned char)spu_rlqw((vector unsigned char) ((qword)var6897),(int) ((int)3));
    var6900=(vector unsigned char)spu_add((vector signed int) ((qword)var6898),(vector signed int) ((qword)var6899));
    var6901=(vector unsigned char)spu_rsqrte((vector float) ((qword)var6900));
    var6902=(vector unsigned char)((vector unsigned char) ((qword)var6900),(vector unsigned char) ((qword)var6901));
    var6903=(vector unsigned char)spu_rlmask((vector signed int) ((qword)var6902),(int) ((int)-3));
    var6894=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var6892),(vector unsigned char) ((qword)var6892),(vector unsigned char) ((qword)var6893));
    var6895=(vector unsigned char)spu_rlqw((vector unsigned char) ((qword)var6894),(int) ((int)7));
    var6904=(vector unsigned char)spu_sub((vector signed int) ((qword)var6903),(vector signed int) ((qword)var6895));
    var6906=(vector unsigned char)spu_add((vector signed int) ((qword)var6904),(vector signed int) ((qword)var6905));
    var6908=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var6906),(vector unsigned char) ((qword)var6906),(vector unsigned char) ((qword)var6877));
    var6913=(vector unsigned char)spu_mul((vector double) ((qword)var6908),(vector double) ((qword)var6912));
    var6909=(vector unsigned char)spu_mul((vector double) ((qword)var6882),(vector double) ((qword)var6908));
    var6911=(vector unsigned char)spu_nmsub((vector double) ((qword)var6909),(vector double) ((qword)var6908),(vector double) ((qword)var6910));
    var6914=(vector unsigned char)spu_madd((vector double) ((qword)var6911),(vector double) ((qword)var6913),(vector double) ((qword)var6908));
    var6919=(vector unsigned char)spu_mul((vector double) ((qword)var6914),(vector double) ((qword)var6912));
    var6915=(vector unsigned char)spu_mul((vector double) ((qword)var6882),(vector double) ((qword)var6914));
    var6917=(vector unsigned char)spu_nmsub((vector double) ((qword)var6915),(vector double) ((qword)var6914),(vector double) ((qword)var6910));
    var6920=(vector unsigned char)spu_madd((vector double) ((qword)var6917),(vector double) ((qword)var6919),(vector double) ((qword)var6914));
    var6925=(vector unsigned char)spu_mul((vector double) ((qword)var6920),(vector double) ((qword)var6912));
    var6921=(vector unsigned char)spu_mul((vector double) ((qword)var6882),(vector double) ((qword)var6920));
    var6923=(vector unsigned char)spu_nmsub((vector double) ((qword)var6921),(vector double) ((qword)var6920),(vector double) ((qword)var6910));
    var6926=(vector unsigned char)spu_madd((vector double) ((qword)var6923),(vector double) ((qword)var6925),(vector double) ((qword)var6920));
    var6927=(vector unsigned char)spu_mul((vector double) ((qword)var6926),(vector double) ((qword)var6882));
    var6932=(vector unsigned char)spu_mul((vector double) ((qword)var6927),(vector double) ((qword)var6931));
    var6961=(vector double)spu_sel((vector unsigned char) ((qword)var6932),(vector unsigned char) ((qword)var6947),(vector unsigned char) ((qword)var6960));
    return var6961;}

#endif
