/**********************************************************************/
/*                                                                    */
/*   Licensed Materials - Property of IBM.                            */
/*   5724-T42 5724-T43 5724-T44                                       */
/*   Copyright IBM Corp. and by others 2008.                          */
/*   All Rights Reserved.                                             */
/*   US Government Users Restricted Rights -                          */
/*   Use, duplication or disclosure restricted by                     */
/*   GSA ADP Schedule Contract with IBM Corp.                         */
/*                                                                    */
/**********************************************************************/
#ifndef MASS_SQRT_H
#define MASS_SQRT_H
#include <spu_intrinsics.h>
static __inline vector double _sqrtd2(vector double var166In){
    vector unsigned char var166;
    vector unsigned char var167;
    vector unsigned char var168;
    vector unsigned char var169;
    vector unsigned char var170;
    vector unsigned char var174;
    vector unsigned char var175;
    vector unsigned char var176;
    vector unsigned char var177;
    vector unsigned char var178;
    vector unsigned char var179;
    vector unsigned char var180;
    vector unsigned char var181;
    vector unsigned char var182;
    vector unsigned char var183;
    vector unsigned char var184;
    vector unsigned char var185;
    vector unsigned char var186;
    vector unsigned char var187;
    vector unsigned char var188;
    vector unsigned char var189;
    vector unsigned char var190;
    vector unsigned char var191;
    vector unsigned char var192;
    vector unsigned char var193;
    vector unsigned char var194;
    vector unsigned char var195;
    vector unsigned char var196;
    vector unsigned char var197;
    vector unsigned char var198;
    vector unsigned char var199;
    vector unsigned char var200;
    vector unsigned char var202;
    vector unsigned char var204;
    vector unsigned char var205;
    vector unsigned char var206;
    vector unsigned char var208;
    vector unsigned char var210;
    vector unsigned char var211;
    vector unsigned char var212;
    vector unsigned char var213;
    vector unsigned char var214;
    vector unsigned char var215;
    vector unsigned char var216;
    vector unsigned char var217;
    vector unsigned char var218;
    vector unsigned char var219;
    vector unsigned char var220;
    vector unsigned char var221;
    vector unsigned char var222;
    vector unsigned char var223;
    vector unsigned char var225;
    vector double var226;
    var167=(vector unsigned char){67,240,0,0,0,0,0,0,67,240,0,0,0,0,0,0};
    var174=(vector unsigned char){0,1,2,3,16,17,18,19,8,9,10,11,24,25,26,27};
    var176=(vector unsigned char){255,240,0,0,255,240,0,0,255,240,0,0,255,240,0,0};
    var178=(vector unsigned char){128,0,128,128,128,4,128,128,128,8,128,128,128,12,128,128};
    var181=(vector unsigned char){128,1,2,3,128,5,6,7,128,9,10,11,128,13,14,15};
    var184=(vector unsigned char){63,128,0,0,63,128,0,0,63,128,0,0,63,128,0,0};
    var190=(vector unsigned char){87,240,0,0,87,240,0,0,87,240,0,0,87,240,0,0};
    var192=(vector unsigned char){0,1,2,3,128,128,128,128,8,9,10,11,128,128,128,128};
    var195=(vector unsigned char){63,240,0,0,0,0,0,0,63,240,0,0,0,0,0,0};
    var197=(vector unsigned char){63,224,0,0,0,0,0,0,63,224,0,0,0,0,0,0};
    var213=(vector unsigned char){61,240,0,0,0,0,0,0,61,240,0,0,0,0,0,0};
    var216=(vector unsigned char){127,240,0,0,0,0,0,0,127,240,0,0,0,0,0,0};
    var217=(vector unsigned char){127,239,255,255,255,255,255,255,127,239,255,255,255,255,255,255};
    var220=(vector unsigned char){0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1};
    var223=(vector unsigned char){0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};
    var166=(vector unsigned char)var166In;
    var225=(vector unsigned char)spu_cmpeq((vector double) ((qword)var166),(vector double) ((qword)var223));
    var221=(vector unsigned char)spu_cmpgt((vector double) ((qword)var220),(vector double) ((qword)var166));
    var218=(vector unsigned char)spu_cmpabsgt((vector double) ((qword)var166),(vector double) ((qword)var217));
    var169=(vector unsigned char)spu_testsv((vector double) ((qword)var166),(int) ((int)3));
    var168=(vector unsigned char)spu_mul((vector double) ((qword)var166),(vector double) ((qword)var167));
    var170=(vector unsigned char)spu_sel((vector unsigned char) ((qword)var166),(vector unsigned char) ((qword)var168),(vector unsigned char) ((qword)var169));
    var175=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var170),(vector unsigned char) ((qword)var170),(vector unsigned char) ((qword)var174));
    var177=(vector unsigned char)spu_add((vector signed int) ((qword)var175),(vector signed int) ((qword)var176));
    var182=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var177),(vector unsigned char) ((qword)var177),(vector unsigned char) ((qword)var181));
    var183=(vector unsigned char)spu_rlqw((vector unsigned char) ((qword)var182),(int) ((int)3));
    var185=(vector unsigned char)spu_add((vector signed int) ((qword)var183),(vector signed int) ((qword)var184));
    var186=(vector unsigned char)spu_rsqrte((vector float) ((qword)var185));
    var187=(vector unsigned char)((vector unsigned char) ((qword)var185),(vector unsigned char) ((qword)var186));
    var188=(vector unsigned char)spu_rlmask((vector signed int) ((qword)var187),(int) ((int)-3));
    var179=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var177),(vector unsigned char) ((qword)var177),(vector unsigned char) ((qword)var178));
    var180=(vector unsigned char)spu_rlqw((vector unsigned char) ((qword)var179),(int) ((int)7));
    var189=(vector unsigned char)spu_sub((vector signed int) ((qword)var188),(vector signed int) ((qword)var180));
    var191=(vector unsigned char)spu_add((vector signed int) ((qword)var189),(vector signed int) ((qword)var190));
    var193=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var191),(vector unsigned char) ((qword)var191),(vector unsigned char) ((qword)var192));
    var198=(vector unsigned char)spu_mul((vector double) ((qword)var193),(vector double) ((qword)var197));
    var194=(vector unsigned char)spu_mul((vector double) ((qword)var170),(vector double) ((qword)var193));
    var196=(vector unsigned char)spu_nmsub((vector double) ((qword)var194),(vector double) ((qword)var193),(vector double) ((qword)var195));
    var199=(vector unsigned char)spu_madd((vector double) ((qword)var196),(vector double) ((qword)var198),(vector double) ((qword)var193));
    var204=(vector unsigned char)spu_mul((vector double) ((qword)var199),(vector double) ((qword)var197));
    var200=(vector unsigned char)spu_mul((vector double) ((qword)var170),(vector double) ((qword)var199));
    var202=(vector unsigned char)spu_nmsub((vector double) ((qword)var200),(vector double) ((qword)var199),(vector double) ((qword)var195));
    var205=(vector unsigned char)spu_madd((vector double) ((qword)var202),(vector double) ((qword)var204),(vector double) ((qword)var199));
    var210=(vector unsigned char)spu_mul((vector double) ((qword)var205),(vector double) ((qword)var197));
    var206=(vector unsigned char)spu_mul((vector double) ((qword)var170),(vector double) ((qword)var205));
    var208=(vector unsigned char)spu_nmsub((vector double) ((qword)var206),(vector double) ((qword)var205),(vector double) ((qword)var195));
    var211=(vector unsigned char)spu_madd((vector double) ((qword)var208),(vector double) ((qword)var210),(vector double) ((qword)var205));
    var212=(vector unsigned char)spu_mul((vector double) ((qword)var211),(vector double) ((qword)var170));
    var214=(vector unsigned char)spu_mul((vector double) ((qword)var212),(vector double) ((qword)var213));
    var215=(vector unsigned char)spu_sel((vector unsigned char) ((qword)var212),(vector unsigned char) ((qword)var214),(vector unsigned char) ((qword)var169));
    var219=(vector unsigned char)spu_sel((vector unsigned char) ((qword)var215),(vector unsigned char) ((qword)var216),(vector unsigned char) ((qword)var218));
    var222=(vector unsigned char)spu_or((vector unsigned char) ((qword)var219),(vector unsigned char) ((qword)var221));
    var226=(vector double)spu_sel((vector unsigned char) ((qword)var222),(vector unsigned char) ((qword)var223),(vector unsigned char) ((qword)var225));
    return var226;}

#endif
