/**********************************************************************/
/*                                                                    */
/*   Licensed Materials - Property of IBM.                            */
/*   5724-T42 5724-T43 5724-T44                                       */
/*   Copyright IBM Corp. and by others 2008.                          */
/*   All Rights Reserved.                                             */
/*   US Government Users Restricted Rights -                          */
/*   Use, duplication or disclosure restricted by                     */
/*   GSA ADP Schedule Contract with IBM Corp.                         */
/*                                                                    */
/**********************************************************************/
#ifndef MASS_ATAN_H
#define MASS_ATAN_H
#include <spu_intrinsics.h>
static __inline vector double _atand2(vector double var2206In){
    vector unsigned char var2206;
    vector unsigned char var2207;
    vector unsigned char var2208;
    vector unsigned char var2209;
    vector unsigned char var2211;
    vector unsigned char var2212;
    vector unsigned char var2213;
    vector unsigned char var2214;
    vector unsigned char var2215;
    vector unsigned char var2216;
    vector unsigned char var2217;
    vector unsigned char var2218;
    vector unsigned char var2219;
    vector unsigned char var2220;
    vector unsigned char var2221;
    vector unsigned char var2223;
    vector unsigned char var2224;
    vector unsigned char var2232;
    vector unsigned char var2233;
    vector unsigned char var2234;
    vector unsigned char var2235;
    vector unsigned char var2236;
    vector unsigned char var2237;
    vector unsigned char var2238;
    vector unsigned char var2239;
    vector unsigned char var2240;
    vector unsigned char var2241;
    vector unsigned char var2242;
    vector unsigned char var2243;
    vector unsigned char var2244;
    vector unsigned char var2245;
    vector unsigned char var2246;
    vector unsigned char var2247;
    vector unsigned char var2248;
    vector unsigned char var2249;
    vector unsigned char var2251;
    vector unsigned char var2252;
    vector unsigned char var2253;
    vector unsigned char var2254;
    vector unsigned char var2255;
    vector unsigned char var2257;
    vector unsigned char var2258;
    vector unsigned char var2260;
    vector unsigned char var2261;
    vector unsigned char var2263;
    vector unsigned char var2264;
    vector unsigned char var2265;
    vector unsigned char var2266;
    vector unsigned char var2267;
    vector unsigned char var2268;
    vector unsigned char var2269;
    vector unsigned char var2270;
    vector unsigned char var2272;
    vector unsigned char var2273;
    static const union {const vector unsigned char v[128];const char c[128*16];} var2274= 
        {(vector unsigned char){62,150,146,46,107,206,81,0,63,201,152,103,95,54,0,0}
        ,(vector unsigned char){63,127,255,206,80,115,97,63,63,201,139,247,98,221,128,0}
        ,(vector unsigned char){63,143,247,255,134,67,204,63,63,201,116,6,125,107,144,0}
        ,(vector unsigned char){63,151,240,143,253,243,84,63,63,201,80,55,75,221,152,0}
        ,(vector unsigned char){63,159,217,238,136,232,114,63,63,201,32,169,5,194,160,0}
        ,(vector unsigned char){63,163,218,55,181,142,200,63,63,200,229,133,6,169,164,0}
        ,(vector unsigned char){63,167,190,57,204,254,12,63,63,200,158,254,148,64,168,0}
        ,(vector unsigned char){63,171,151,54,9,92,107,63,63,200,77,82,151,11,172,0}
        ,(vector unsigned char){63,175,99,110,110,197,22,63,63,199,240,199,70,38,176,0}
        ,(vector unsigned char){63,177,144,151,253,161,111,63,63,199,137,171,198,175,178,0}
        ,(vector unsigned char){63,179,103,106,6,18,197,63,63,199,24,87,191,163,180,0}
        ,(vector unsigned char){63,181,53,96,217,55,74,63,63,198,157,42,226,254,182,0}
        ,(vector unsigned char){63,182,249,183,122,84,18,63,63,198,24,140,109,17,184,0}
        ,(vector unsigned char){63,184,179,176,254,78,207,63,63,197,138,234,154,255,186,0}
        ,(vector unsigned char){63,186,98,153,23,202,63,63,63,196,244,186,25,114,188,0}
        ,(vector unsigned char){63,188,5,196,151,230,227,63,63,196,86,117,108,153,190,0}
        ,(vector unsigned char){63,189,156,145,227,33,181,63,63,195,176,156,82,141,192,0}
        ,(vector unsigned char){63,191,38,105,89,224,255,63,63,195,3,179,33,70,193,0}
        ,(vector unsigned char){63,192,81,94,218,43,15,63,63,194,80,66,33,57,194,0}
        ,(vector unsigned char){63,193,8,134,40,185,7,63,63,193,150,212,229,214,195,0}
        ,(vector unsigned char){63,193,184,110,188,96,198,63,63,192,215,249,164,246,196,0}
        ,(vector unsigned char){63,194,96,226,71,142,63,63,63,192,20,64,142,110,197,0}
        ,(vector unsigned char){63,195,1,176,31,21,84,63,63,190,152,118,73,150,198,0}
        ,(vector unsigned char){63,195,154,173,71,106,189,63,63,189,0,247,48,152,199,0}
        ,(vector unsigned char){63,196,43,180,123,105,238,63,63,187,99,40,74,54,200,0}
        ,(vector unsigned char){63,196,180,166,44,200,102,63,63,185,192,44,235,103,201,0}
        ,(vector unsigned char){63,197,53,104,126,96,97,63,63,184,25,38,20,192,202,0}
        ,(vector unsigned char){63,197,173,231,56,133,166,63,63,182,111,49,77,41,203,0}
        ,(vector unsigned char){63,198,30,19,183,159,109,63,63,180,195,103,137,229,204,0}
        ,(vector unsigned char){63,198,133,228,213,73,234,63,63,179,22,220,37,36,205,0}
        ,(vector unsigned char){63,198,229,86,204,72,24,63,63,177,106,155,228,120,206,0}
        ,(vector unsigned char){63,199,60,107,23,149,129,63,63,175,127,88,31,246,207,0}
        ,(vector unsigned char){63,199,139,40,76,235,84,63,63,172,46,19,54,85,208,0}
        ,(vector unsigned char){63,199,209,153,243,17,221,63,63,168,227,80,191,225,208,128}
        ,(vector unsigned char){63,200,15,208,84,88,192,63,63,165,160,228,217,165,209,0}
        ,(vector unsigned char){63,200,69,224,77,149,224,63,63,162,104,142,204,10,209,128}
        ,(vector unsigned char){63,200,115,227,26,9,202,63,63,158,119,239,232,31,210,0}
        ,(vector unsigned char){63,200,153,246,28,139,41,63,63,152,57,101,166,179,210,128}
        ,(vector unsigned char){63,200,184,58,166,90,108,63,63,146,24,116,141,220,211,0}
        ,(vector unsigned char){63,200,206,213,187,254,95,63,63,136,47,195,144,152,211,128}
        ,(vector unsigned char){63,200,221,239,216,137,85,63,63,120,233,3,216,239,212,0}
        ,(vector unsigned char){63,200,229,180,175,164,159,63,63,64,62,111,107,53,212,128}
        ,(vector unsigned char){63,200,230,82,238,189,176,63,191,116,59,95,178,74,213,0}
        ,(vector unsigned char){63,200,223,251,253,173,91,63,191,132,236,74,170,22,213,128}
        ,(vector unsigned char){63,200,210,227,191,46,48,63,191,143,100,87,14,172,214,0}
        ,(vector unsigned char){63,200,191,64,81,115,19,63,191,148,193,83,171,115,214,128}
        ,(vector unsigned char){63,200,165,73,207,43,14,63,191,153,162,56,183,34,215,0}
        ,(vector unsigned char){63,200,133,58,17,58,184,63,191,158,83,166,166,216,215,128}
        ,(vector unsigned char){63,200,95,76,113,110,219,63,191,161,106,76,194,77,216,0}
        ,(vector unsigned char){63,200,51,189,142,102,250,63,191,163,146,30,32,106,216,128}
        ,(vector unsigned char){63,200,2,203,16,241,47,63,191,165,160,243,176,176,217,0}
        ,(vector unsigned char){63,199,204,179,115,11,183,63,191,167,150,143,197,129,217,128}
        ,(vector unsigned char){63,199,145,181,200,187,25,63,191,169,114,201,244,183,218,0}
        ,(vector unsigned char){63,199,82,17,138,222,161,63,191,171,53,142,61,27,218,128}
        ,(vector unsigned char){63,199,14,6,100,39,175,63,191,172,222,220,31,85,219,0}
        ,(vector unsigned char){63,198,197,212,0,83,23,63,191,174,110,197,172,82,219,128}
        ,(vector unsigned char){63,198,121,185,221,190,219,63,191,175,229,110,139,42,220,0}
        ,(vector unsigned char){63,198,41,247,33,113,145,63,191,176,161,133,124,44,220,128}
        ,(vector unsigned char){63,197,214,202,109,164,29,63,191,177,67,239,96,17,221,0}
        ,(vector unsigned char){63,197,128,113,186,217,194,63,191,177,218,30,26,233,221,128}
        ,(vector unsigned char){63,197,39,42,51,142,96,63,191,178,100,65,148,198,222,0}
        ,(vector unsigned char){63,196,203,48,18,126,143,63,191,178,226,143,239,10,222,128}
        ,(vector unsigned char){63,196,108,190,131,137,119,63,191,179,85,69,0,13,223,0}
        ,(vector unsigned char){63,196,12,15,135,40,181,63,191,179,188,161,208,37,223,128}
        ,(vector unsigned char){63,195,169,91,216,119,95,63,191,180,24,236,24,167,224,0}
        ,(vector unsigned char){63,195,68,218,213,190,37,63,191,180,106,109,197,123,224,64}
        ,(vector unsigned char){63,194,222,194,107,119,215,63,191,180,177,116,121,175,224,128}
        ,(vector unsigned char){63,194,119,71,1,191,42,63,191,180,238,81,23,135,224,192}
        ,(vector unsigned char){63,194,14,155,108,20,77,63,191,181,33,87,76,107,225,0}
        ,(vector unsigned char){63,193,164,240,219,103,15,63,191,181,74,221,33,1,225,64}
        ,(vector unsigned char){63,193,58,118,210,80,156,63,191,181,107,58,141,194,225,128}
        ,(vector unsigned char){63,192,207,91,27,102,128,63,191,181,130,201,20,72,225,192}
        ,(vector unsigned char){63,192,99,201,193,143,242,63,191,181,145,227,93,164,226,0}
        ,(vector unsigned char){63,191,239,218,20,171,15,63,191,181,152,228,225,252,226,64}
        ,(vector unsigned char){63,191,23,218,226,234,182,63,191,181,152,41,122,28,226,128}
        ,(vector unsigned char){63,190,63,227,79,126,223,63,191,181,144,13,54,78,226,192}
        ,(vector unsigned char){63,189,104,61,34,123,186,63,191,181,128,235,241,192,227,0}
        ,(vector unsigned char){63,188,145,46,141,127,134,63,191,181,107,33,16,37,227,64}
        ,(vector unsigned char){63,187,186,250,47,252,254,63,191,181,79,7,63,160,227,128}
        ,(vector unsigned char){63,186,229,223,30,103,38,63,191,181,44,248,57,145,227,192}
        ,(vector unsigned char){63,186,18,24,235,198,56,63,191,181,5,76,138,3,228,0}
        ,(vector unsigned char){63,185,63,223,181,129,64,63,191,180,216,91,92,32,228,64}
        ,(vector unsigned char){63,184,111,104,49,42,239,63,191,180,166,122,75,125,228,128}
        ,(vector unsigned char){63,183,160,227,188,33,67,63,191,180,111,253,58,24,228,192}
        ,(vector unsigned char){63,182,212,128,108,209,34,63,191,180,53,54,42,221,229,0}
        ,(vector unsigned char){63,182,10,105,37,112,135,63,191,179,246,117,32,144,229,64}
        ,(vector unsigned char){63,181,66,197,168,3,160,63,191,179,180,8,0,217,229,128}
        ,(vector unsigned char){63,180,125,186,171,130,235,63,191,179,110,58,123,99,229,192}
        ,(vector unsigned char){63,179,187,105,241,250,95,63,191,179,37,85,244,182,230,0}
        ,(vector unsigned char){63,178,251,242,95,123,135,63,191,178,217,161,116,190,230,64}
        ,(vector unsigned char){63,178,63,112,17,190,115,63,191,178,139,97,152,175,230,128}
        ,(vector unsigned char){63,177,133,252,120,79,106,63,191,178,58,216,136,38,230,192}
        ,(vector unsigned char){63,176,207,174,109,41,62,63,191,177,232,69,237,73,231,0}
        ,(vector unsigned char){63,176,28,154,77,158,55,63,191,177,147,230,239,182,231,64}
        ,(vector unsigned char){63,174,217,164,38,230,227,63,191,177,61,246,50,13,231,128}
        ,(vector unsigned char){63,173,128,202,220,41,83,63,191,176,230,171,209,236,231,192}
        ,(vector unsigned char){63,172,46,195,183,144,92,63,191,176,142,61,106,26,232,0}
        ,(vector unsigned char){63,170,227,165,133,153,149,63,191,176,52,222,22,200,232,64}
        ,(vector unsigned char){63,169,159,131,20,154,81,63,191,175,181,124,247,82,232,128}
        ,(vector unsigned char){63,168,98,107,102,44,36,63,191,175,0,25,151,121,232,192}
        ,(vector unsigned char){63,167,44,105,223,253,71,63,191,174,73,233,165,66,233,0}
        ,(vector unsigned char){63,165,253,134,123,230,61,63,191,173,147,63,254,130,233,64}
        ,(vector unsigned char){63,164,213,197,247,41,217,63,191,172,220,106,223,121,233,128}
        ,(vector unsigned char){63,163,181,42,0,198,175,63,191,172,37,179,252,191,233,192}
        ,(vector unsigned char){63,162,155,177,102,197,38,63,191,171,111,96,159,16,234,0}
        ,(vector unsigned char){63,161,137,88,66,111,52,63,191,170,185,177,192,182,234,64}
        ,(vector unsigned char){63,160,126,24,35,97,230,63,191,170,4,228,44,77,234,128}
        ,(vector unsigned char){63,158,243,208,114,214,11,63,191,169,81,48,156,178,234,192}
        ,(vector unsigned char){63,156,249,122,250,78,121,63,191,168,158,203,221,191,235,0}
        ,(vector unsigned char){63,155,13,21,174,177,14,63,191,167,237,230,237,242,235,64}
        ,(vector unsigned char){63,153,46,130,141,216,223,63,191,167,62,175,32,110,235,128}
        ,(vector unsigned char){63,151,93,160,11,91,129,63,191,166,145,78,63,108,235,192}
        ,(vector unsigned char){63,149,154,73,87,59,88,63,191,165,229,234,174,228,236,0}
        ,(vector unsigned char){63,147,228,86,161,228,231,63,191,165,60,167,143,59,236,64}
        ,(vector unsigned char){63,146,59,157,93,117,236,63,191,164,149,164,223,230,236,128}
        ,(vector unsigned char){63,144,159,240,124,79,215,63,191,163,240,255,161,214,236,192}
        ,(vector unsigned char){63,142,34,65,89,242,192,63,191,163,78,209,249,156,237,0}
        ,(vector unsigned char){63,139,29,249,38,170,204,63,191,162,175,51,81,34,237,64}
        ,(vector unsigned char){63,136,50,161,254,110,23,63,191,162,18,56,120,234,237,128}
        ,(vector unsigned char){63,133,95,210,64,185,160,63,191,161,119,243,200,190,237,192}
        ,(vector unsigned char){63,130,165,29,111,187,250,63,191,160,224,117,63,184,238,0}
        ,(vector unsigned char){63,128,2,20,142,46,19,63,191,160,75,202,163,161,238,64}
        ,(vector unsigned char){63,122,236,140,240,139,75,63,191,159,115,255,63,17,238,128}
        ,(vector unsigned char){63,118,2,128,111,190,57,63,191,158,86,59,195,58,238,192}
        ,(vector unsigned char){63,113,69,26,167,252,195,63,191,157,62,90,112,80,239,0}
        ,(vector unsigned char){63,105,102,224,111,30,98,63,191,156,44,103,91,103,239,64}
        ,(vector unsigned char){63,96,153,39,180,71,185,63,191,155,32,107,72,165,239,128}
        ,(vector unsigned char){63,80,62,91,181,188,238,63,191,154,26,107,223,246,239,192}
        };
    vector unsigned char var2275;
    vector unsigned char var2276;
    vector unsigned char var2277;
    vector unsigned char var2278;
    vector unsigned char var2279;
    vector unsigned char var2280;
    vector unsigned char var2281;
    vector unsigned char var2282;
    vector unsigned char var2283;
    vector unsigned char var2284;
    vector unsigned char var2285;
    vector unsigned char var2286;
    vector unsigned char var2287;
    vector unsigned char var2288;
    vector unsigned char var2289;
    vector unsigned char var2290;
    static const union {const vector unsigned char v[128];const char c[128*16];} var2291= 
        {(vector unsigned char){61,116,11,92,162,68,88,205,191,213,85,85,86,123,202,161}
        ,(vector unsigned char){191,127,255,0,4,207,165,218,191,213,83,85,115,61,214,11}
        ,(vector unsigned char){191,143,252,0,94,247,152,99,191,213,77,86,166,13,127,86}
        ,(vector unsigned char){191,151,249,65,107,135,201,192,191,213,67,91,191,111,163,64}
        ,(vector unsigned char){191,159,240,5,253,25,155,247,191,213,53,105,106,151,237,239}
        ,(vector unsigned char){191,163,240,105,34,112,244,136,191,213,35,134,43,27,174,173}
        ,(vector unsigned char){191,167,229,22,182,80,162,49,191,213,13,186,87,69,237,94}
        ,(vector unsigned char){191,171,213,81,10,110,153,121,191,212,244,16,16,218,77,168}
        ,(vector unsigned char){191,175,192,95,127,202,73,188,191,212,214,147,60,80,211,9}
        ,(vector unsigned char){191,177,210,197,237,216,189,99,191,212,181,81,118,150,173,35}
        ,(vector unsigned char){191,179,194,17,76,161,214,131,191,212,144,90,9,98,46,8}
        ,(vector unsigned char){191,181,173,185,156,82,31,147,191,212,103,189,222,41,234,150}
        ,(vector unsigned char){191,183,149,104,69,205,202,10,191,212,59,143,111,208,194,201}
        ,(vector unsigned char){191,185,120,200,127,181,119,165,191,212,11,226,187,26,42,234}
        ,(vector unsigned char){191,187,87,135,113,205,64,184,191,211,216,205,45,251,131,91}
        ,(vector unsigned char){191,189,49,84,86,198,146,219,191,211,162,101,149,224,153,70}
        ,(vector unsigned char){191,191,5,224,156,84,200,155,191,211,104,196,12,250,140,130}
        ,(vector unsigned char){191,192,106,112,0,187,74,45,191,211,44,1,230,177,77,50}
        ,(vector unsigned char){191,193,79,4,89,112,83,129,191,210,236,57,155,80,172,209}
        ,(vector unsigned char){191,194,48,137,178,188,45,76,191,210,169,134,179,10,153,123}
        ,(vector unsigned char){191,195,14,221,183,103,202,6,191,210,100,5,176,104,135,230}
        ,(vector unsigned char){191,195,233,223,109,202,193,224,191,210,27,211,250,70,79,221}
        ,(vector unsigned char){191,196,193,111,65,249,49,198,191,209,209,15,197,112,209,108}
        ,(vector unsigned char){191,197,149,111,14,227,100,42,191,209,131,215,254,2,159,74}
        ,(vector unsigned char){191,198,101,194,38,100,200,11,191,209,52,76,48,152,166,63}
        ,(vector unsigned char){191,199,50,77,88,64,239,213,191,208,226,140,115,120,91,177}
        ,(vector unsigned char){191,199,250,246,248,14,128,226,191,208,142,185,79,192,104,228}
        ,(vector unsigned char){191,200,191,166,226,17,35,165,191,208,56,243,170,188,15,20}
        ,(vector unsigned char){191,201,128,70,127,4,162,112,191,207,194,185,94,225,74,74}
        ,(vector unsigned char){191,202,60,192,198,220,119,103,191,207,16,43,112,247,42,118}
        ,(vector unsigned char){191,202,245,2,66,124,16,176,191,206,90,128,116,172,82,12}
        ,(vector unsigned char){191,203,168,249,12,109,10,136,191,205,161,251,92,38,137,46}
        ,(vector unsigned char){191,204,88,148,208,153,136,210,191,204,230,222,249,83,208,192}
        ,(vector unsigned char){191,205,3,198,203,17,179,224,191,204,41,109,213,187,247,107}
        ,(vector unsigned char){191,205,170,129,197,228,37,220,191,203,105,234,11,174,239,57}
        ,(vector unsigned char){191,206,76,186,22,17,206,191,191,202,168,149,32,237,48,90}
        ,(vector unsigned char){191,206,234,101,151,166,123,123,191,201,229,175,226,228,120,32}
        ,(vector unsigned char){191,207,131,123,168,255,194,7,191,201,33,122,68,152,49,184}
        ,(vector unsigned char){191,208,11,250,146,166,75,67,191,200,92,51,62,73,204,53}
        ,(vector unsigned char){191,208,83,230,47,40,31,42,191,199,150,24,174,242,57,207}
        ,(vector unsigned char){191,208,153,126,138,185,218,15,191,198,207,103,63,154,210,244}
        ,(vector unsigned char){191,208,220,194,58,24,110,82,191,198,8,90,72,160,226,102}
        ,(vector unsigned char){191,209,29,176,129,241,147,77,191,197,65,43,184,236,59,101}
        ,(vector unsigned char){191,209,92,73,82,132,173,9,191,196,122,19,255,30,107,156}
        ,(vector unsigned char){191,209,152,141,67,2,58,112,191,195,179,73,244,189,101,42}
        ,(vector unsigned char){191,209,210,125,140,175,189,118,191,194,237,2,203,89,228,69}
        ,(vector unsigned char){191,210,10,28,5,214,13,175,191,194,39,113,251,175,91,237}
        ,(vector unsigned char){191,210,63,107,28,127,251,166,191,193,98,201,54,184,223,145}
        ,(vector unsigned char){191,210,114,109,209,15,26,97,191,192,159,56,88,180,79,136}
        ,(vector unsigned char){191,210,163,39,176,172,109,40,191,191,185,218,188,22,10,109}
        ,(vector unsigned char){191,210,209,156,207,154,154,148,191,190,56,40,180,42,182,70}
        ,(vector unsigned char){191,210,253,209,195,111,35,77,191,188,185,174,223,89,108,88}
        ,(vector unsigned char){191,211,39,203,157,55,243,130,191,187,62,189,150,252,80,13}
        ,(vector unsigned char){191,211,79,143,227,146,122,75,191,185,199,161,64,28,192,168}
        ,(vector unsigned char){191,211,117,36,140,185,66,89,191,184,84,162,70,188,209,248}
        ,(vector unsigned char){191,211,152,143,248,140,212,65,191,182,230,5,28,63,54,170}
        ,(vector unsigned char){191,211,185,216,234,156,116,130,191,181,124,10,56,200,170,251}
        ,(vector unsigned char){191,211,217,6,132,51,22,227,191,180,22,238,31,116,113,160}
        ,(vector unsigned char){191,211,246,32,62,108,166,48,191,178,182,233,101,52,69,17}
        ,(vector unsigned char){191,212,17,45,228,87,131,42,191,177,92,48,186,51,57,166}
        ,(vector unsigned char){191,212,42,55,141,37,224,93,191,176,6,244,245,146,109,247}
        ,(vector unsigned char){191,212,65,69,150,114,98,102,191,173,110,198,70,172,21,253}
        ,(vector unsigned char){191,212,86,96,158,155,45,242,191,170,219,73,40,177,241,88}
        ,(vector unsigned char){191,212,105,145,127,54,78,101,191,168,83,189,224,59,147,172}
        ,(vector unsigned char){191,212,122,225,71,162,34,2,191,165,216,104,144,167,110,208}
        ,(vector unsigned char){191,212,138,89,55,180,59,37,191,163,105,134,91,206,20,59}
        ,(vector unsigned char){191,212,152,2,186,136,233,175,191,161,7,77,142,234,15,45}
        ,(vector unsigned char){191,212,163,231,97,117,100,113,191,157,99,219,163,241,90,133}
        ,(vector unsigned char){191,212,174,16,223,30,80,177,191,152,211,32,178,143,75,223}
        ,(vector unsigned char){191,212,182,137,2,180,45,150,191,148,92,176,49,203,184,37}
        ,(vector unsigned char){191,212,189,89,179,86,242,238,191,144,0,195,243,95,242,21}
        ,(vector unsigned char){191,212,194,140,235,161,254,78,191,135,127,20,62,209,91,246}
        ,(vector unsigned char){191,212,198,44,181,97,55,52,191,126,100,150,141,100,164,72}
        ,(vector unsigned char){191,212,200,67,37,112,34,167,191,108,109,117,20,237,15,75}
        ,(vector unsigned char){191,212,200,218,87,195,113,228,63,56,179,69,229,250,164,3}
        ,(vector unsigned char){191,212,199,252,107,157,103,207,63,112,225,38,150,88,226,33}
        ,(vector unsigned char){191,212,197,179,127,237,82,95,63,127,203,50,81,81,154,230}
        ,(vector unsigned char){191,212,194,9,175,218,31,33,63,135,36,200,224,216,51,73}
        ,(vector unsigned char){191,212,189,9,15,119,252,44,63,142,46,80,167,36,130,146}
        ,(vector unsigned char){191,212,182,187,168,168,204,179,63,146,129,55,114,198,31,219}
        ,(vector unsigned char){191,212,175,43,120,39,27,254,63,149,208,184,173,140,110,121}
        ,(vector unsigned char){191,212,166,98,106,187,28,86,63,153,5,218,30,128,62,210}
        ,(vector unsigned char){191,212,156,106,90,153,36,216,63,156,32,208,173,125,23,233}
        ,(vector unsigned char){191,212,145,77,12,233,9,10,63,159,33,215,163,159,176,103}
        ,(vector unsigned char){191,212,133,20,47,117,143,38,63,161,4,152,32,170,90,126}
        ,(vector unsigned char){191,212,119,201,86,131,54,87,63,162,107,144,171,83,162,109}
        ,(vector unsigned char){191,212,105,117,250,205,108,147,63,163,197,251,110,253,159,2}
        ,(vector unsigned char){191,212,90,35,119,169,68,54,63,165,20,0,204,173,13,46}
        ,(vector unsigned char){191,212,73,219,9,76,171,249,63,166,85,203,89,58,0,46}
        ,(vector unsigned char){191,212,56,165,203,57,32,26,63,167,139,135,174,184,228,108}
        ,(vector unsigned char){191,212,38,140,182,200,193,190,63,168,181,100,63,88,12,50}
        ,(vector unsigned char){191,212,19,152,161,220,185,66,63,169,211,145,41,187,163,198}
        ,(vector unsigned char){191,211,255,210,61,171,193,181,63,170,230,64,14,223,217,7}
        ,(vector unsigned char){191,211,235,66,21,175,182,107,63,171,237,163,233,135,17,41}
        ,(vector unsigned char){191,211,213,240,142,176,248,25,63,172,233,240,231,56,53,237}
        ,(vector unsigned char){191,211,191,229,229,238,124,90,63,173,219,92,66,207,114,32}
        ,(vector unsigned char){191,211,169,42,48,97,89,114,63,174,194,28,32,162,34,208}
        ,(vector unsigned char){191,211,145,197,90,26,160,15,63,175,158,103,108,53,79,37}
        ,(vector unsigned char){191,211,121,191,37,186,85,214,63,176,56,58,219,194,81,129}
        ,(vector unsigned char){191,211,97,31,43,254,101,116,63,176,156,63,141,235,88,4}
        ,(vector unsigned char){191,211,71,236,219,104,91,212,63,176,251,94,14,13,13,251}
        ,(vector unsigned char){191,211,46,47,119,248,205,197,63,177,85,178,196,99,49,74}
        ,(vector unsigned char){191,211,19,238,26,255,69,150,63,177,171,90,50,156,244,73}
        ,(vector unsigned char){191,210,249,47,178,253,157,90,63,177,252,112,231,71,40,95}
        ,(vector unsigned char){191,210,221,251,3,157,175,252,63,178,73,19,113,237,165,228}
        ,(vector unsigned char){191,210,194,86,165,184,81,95,63,178,145,94,87,239,190,46}
        ,(vector unsigned char){191,210,166,73,7,108,132,82,63,178,213,110,10,3,62,230}
        ,(vector unsigned char){191,210,137,216,108,69,236,1,63,179,21,94,218,97,82,148}
        ,(vector unsigned char){191,210,109,10,237,113,125,185,63,179,81,76,243,152,88,186}
        ,(vector unsigned char){191,210,79,230,121,255,127,87,63,179,137,84,79,253,165,197}
        ,(vector unsigned char){191,210,50,112,215,49,230,98,63,179,189,144,177,185,252,61}
        ,(vector unsigned char){191,210,20,175,160,214,51,176,63,179,238,29,155,107,117,219}
        ,(vector unsigned char){191,209,246,168,73,169,239,119,63,180,27,22,73,87,130,54}
        ,(vector unsigned char){191,209,216,96,27,200,241,165,63,180,68,149,171,39,149,58}
        ,(vector unsigned char){191,209,185,220,57,36,170,156,63,180,106,182,94,43,26,91}
        ,(vector unsigned char){191,209,155,33,156,3,168,102,63,180,141,146,168,25,65,192}
        ,(vector unsigned char){191,209,124,53,23,136,156,187,63,180,173,68,114,77,66,1}
        ,(vector unsigned char){191,209,93,27,88,64,48,35,63,180,201,229,69,119,178,252}
        ,(vector unsigned char){191,209,61,216,228,180,246,142,63,180,227,142,69,191,180,84}
        ,(vector unsigned char){191,209,30,114,30,8,225,165,63,180,250,88,47,78,163,243}
        ,(vector unsigned char){191,208,254,235,64,147,148,207,63,181,14,91,83,65,61,232}
        ,(vector unsigned char){191,208,223,72,100,133,6,174,63,181,31,175,148,249,22,249}
        ,(vector unsigned char){191,208,191,141,126,139,227,49,63,181,46,108,103,201,125,199}
        ,(vector unsigned char){191,208,159,190,96,127,40,214,63,181,58,168,204,250,235,23}
        ,(vector unsigned char){191,208,127,222,186,10,130,204,63,181,68,123,82,32,72,124}
        ,(vector unsigned char){191,208,95,242,25,92,232,174,63,181,75,250,15,185,116,198}
        ,(vector unsigned char){191,208,63,251,235,217,19,86,63,181,81,58,168,30,143,80}
        ,(vector unsigned char){191,208,31,255,126,199,92,223,63,181,84,82,70,175,181,198}
        };
    vector unsigned char var2294;
    vector unsigned char var2296;
    vector unsigned char var2298;
    vector unsigned char var2299;
    vector unsigned char var2301;
    vector unsigned char var2302;
    static const union {const vector unsigned char v[128];const char c[128*16];} var2303= 
        {(vector unsigned char){0,0,0,0,0,0,0,0,63,239,255,255,255,255,255,254}
        ,(vector unsigned char){63,127,255,213,85,187,186,153,63,239,255,128,1,255,247,150}
        ,(vector unsigned char){63,143,255,85,91,187,114,156,63,239,254,0,31,253,255,110}
        ,(vector unsigned char){63,151,254,224,24,74,92,55,63,239,251,128,161,233,58,59}
        ,(vector unsigned char){63,159,253,85,187,169,118,38,63,239,248,1,255,128,30,185}
        ,(vector unsigned char){63,163,253,101,241,105,201,218,63,239,243,132,224,24,116,238}
        ,(vector unsigned char){63,167,251,129,132,48,218,43,63,239,238,10,26,81,48,140}
        ,(vector unsigned char){63,171,248,221,241,57,196,69,63,239,231,146,179,174,108,106}
        ,(vector unsigned char){63,175,245,91,183,44,253,235,63,239,224,31,224,31,221,214}
        ,(vector unsigned char){63,177,248,109,191,8,45,89,63,239,215,179,1,114,40,249}
        ,(vector unsigned char){63,179,245,159,14,124,85,158,63,239,206,77,166,171,145,36}
        ,(vector unsigned char){63,181,242,50,79,210,215,179,63,239,195,241,139,84,145,26}
        ,(vector unsigned char){63,183,238,24,38,2,241,15,63,239,184,160,150,172,247,150}
        ,(vector unsigned char){63,185,233,65,83,207,220,242,63,239,172,92,218,206,52,11}
        ,(vector unsigned char){63,187,227,158,190,111,7,196,63,239,159,40,147,187,141,245}
        ,(vector unsigned char){63,189,221,33,112,30,186,111,63,239,145,6,38,97,14,238}
        ,(vector unsigned char){63,191,213,186,154,172,47,111,63,239,129,248,31,129,244,40}
        ,(vector unsigned char){63,192,230,173,204,244,8,130,63,239,114,1,50,151,135,141}
        ,(vector unsigned char){63,193,225,250,251,4,55,39,63,239,97,36,56,161,75,24}
        ,(vector unsigned char){63,194,220,189,178,251,162,0,63,239,79,100,46,231,106,44}
        ,(vector unsigned char){63,195,214,238,232,198,98,109,63,239,60,196,53,176,108,181}
        ,(vector unsigned char){63,196,208,135,169,218,79,24,63,239,41,71,142,235,46,175}
        ,(vector unsigned char){63,197,201,129,30,62,194,106,63,239,20,241,156,206,36,47}
        ,(vector unsigned char){63,198,193,212,137,137,51,217,63,238,255,197,224,108,246,100}
        ,(vector unsigned char){63,199,185,123,75,206,91,3,63,238,233,199,248,69,137,33}
        ,(vector unsigned char){63,200,176,110,226,135,156,41,63,238,210,251,158,197,122,97}
        ,(vector unsigned char){63,201,166,168,233,108,134,39,63,238,187,100,168,201,45,221}
        ,(vector unsigned char){63,202,156,35,27,64,50,122,63,238,163,7,4,21,118,78}
        ,(vector unsigned char){63,203,144,215,82,146,96,163,63,238,137,230,181,204,236,109}
        ,(vector unsigned char){63,204,132,191,138,116,46,110,63,238,112,7,216,226,0,229}
        ,(vector unsigned char){63,205,119,213,223,32,87,55,63,238,85,110,156,134,210,194}
        ,(vector unsigned char){63,206,106,20,142,150,236,78,63,238,58,31,66,155,207,37}
        ,(vector unsigned char){63,207,91,117,249,44,128,222,63,238,30,30,30,30,25,40}
        ,(vector unsigned char){63,208,37,250,81,6,101,182,63,238,1,111,145,150,178,140}
        ,(vector unsigned char){63,208,157,197,151,216,99,99,63,237,228,24,13,139,86,9}
        ,(vector unsigned char){63,209,21,26,54,36,49,202,63,237,198,28,14,241,236,73}
        ,(vector unsigned char){63,209,139,245,163,11,241,120,63,237,167,128,29,167,123,100}
        ,(vector unsigned char){63,210,2,85,103,228,124,150,63,237,136,72,202,235,103,134}
        ,(vector unsigned char){63,210,120,55,32,87,239,70,63,237,104,122,175,223,209,44}
        ,(vector unsigned char){63,210,237,152,122,130,60,254,63,237,72,26,108,15,211,14}
        ,(vector unsigned char){63,211,98,119,55,7,235,204,63,237,39,44,163,252,86,193}
        ,(vector unsigned char){63,211,214,209,41,39,17,53,63,237,5,181,255,176,44,15}
        ,(vector unsigned char){63,212,74,164,54,194,175,10,63,236,227,187,41,92,3,85}
        ,(vector unsigned char){63,212,189,238,88,104,144,231,63,236,193,64,203,250,223,169}
        ,(vector unsigned char){63,213,48,173,153,81,205,74,63,236,158,75,145,255,137,170}
        ,(vector unsigned char){63,213,162,224,23,94,15,78,63,236,122,224,36,11,127,243}
        ,(vector unsigned char){63,214,20,132,3,9,207,226,63,236,87,3,39,175,214,83}
        ,(vector unsigned char){63,214,133,151,159,95,166,254,63,236,50,185,62,56,105,11}
        ,(vector unsigned char){63,214,246,25,65,228,222,241,63,236,14,7,3,129,189,145}
        ,(vector unsigned char){63,215,102,7,82,129,117,2,63,235,232,241,12,217,222,212}
        ,(vector unsigned char){63,215,213,96,75,99,179,248,63,235,195,123,231,236,119,137}
        ,(vector unsigned char){63,216,68,34,184,223,149,216,63,235,157,172,25,186,97,248}
        ,(vector unsigned char){63,216,178,77,57,74,27,38,63,235,119,134,29,156,217,224}
        ,(vector unsigned char){63,217,31,222,124,208,198,98,63,235,81,14,100,84,114,138}
        ,(vector unsigned char){63,217,140,213,69,77,107,25,63,235,42,73,83,35,232,254}
        ,(vector unsigned char){63,217,249,48,102,22,128,2,63,235,3,59,66,246,224,131}
        ,(vector unsigned char){63,218,100,238,195,204,35,253,63,234,219,232,127,148,142,62}
        ,(vector unsigned char){63,218,208,15,84,34,5,140,63,234,180,85,70,222,79,212}
        ,(vector unsigned char){63,219,58,145,29,166,92,109,63,234,140,133,200,26,32,126}
        ,(vector unsigned char){63,219,164,115,55,134,36,165,63,234,100,126,35,72,215,241}
        ,(vector unsigned char){63,220,13,180,201,78,201,240,63,234,60,66,104,136,23,11}
        ,(vector unsigned char){63,220,118,85,10,173,113,249,63,234,19,214,151,127,191,5}
        ,(vector unsigned char){63,220,222,83,67,44,19,81,63,233,235,62,158,218,201,132}
        ,(vector unsigned char){63,221,69,174,201,236,134,43,63,233,194,126,91,203,81,160}
        ,(vector unsigned char){63,221,172,103,5,97,187,79,63,233,153,153,153,153,152,148}
        ,(vector unsigned char){63,222,18,123,107,7,68,176,63,233,112,148,17,61,203,116}
        ,(vector unsigned char){63,222,119,235,127,23,90,52,63,233,71,113,105,4,74,221}
        ,(vector unsigned char){63,222,220,182,212,63,132,53,63,233,30,53,52,60,49,60}
        ,(vector unsigned char){63,223,64,221,11,84,20,24,63,232,244,226,242,239,208,170}
        ,(vector unsigned char){63,223,164,93,211,2,146,89,63,232,203,126,17,166,222,17}
        ,(vector unsigned char){63,224,3,156,115,193,164,12,63,232,162,9,233,49,252,127}
        ,(vector unsigned char){63,224,52,183,9,37,4,136,63,232,120,137,190,127,89,16}
        ,(vector unsigned char){63,224,101,126,148,219,48,208,63,232,79,0,194,120,5,242}
        ,(vector unsigned char){63,224,149,243,8,97,165,144,63,232,37,114,17,229,193,67}
        ,(vector unsigned char){63,224,198,20,91,91,67,218,63,231,251,224,181,96,211,105}
        ,(vector unsigned char){63,224,245,226,139,103,226,149,63,231,210,79,161,69,175,123}
        ,(vector unsigned char){63,225,37,93,155,251,210,169,63,231,168,193,181,177,255,216}
        ,(vector unsigned char){63,225,84,133,150,55,100,106,63,231,127,57,190,136,200,168}
        ,(vector unsigned char){63,225,131,90,136,190,124,19,63,231,85,186,115,125,74,39}
        ,(vector unsigned char){63,225,177,220,135,144,66,133,63,231,44,70,120,36,76,201}
        ,(vector unsigned char){63,225,224,11,171,222,254,180,63,231,2,224,92,11,129,239}
        ,(vector unsigned char){63,226,13,232,19,232,35,178,63,230,217,138,154,214,164,139}
        ,(vector unsigned char){63,226,59,113,226,204,158,106,63,230,176,71,156,98,6,50}
        ,(vector unsigned char){63,226,104,169,64,105,109,166,63,230,135,25,180,234,54,60}
        ,(vector unsigned char){63,226,149,142,89,48,142,49,63,230,94,3,37,56,113,242}
        ,(vector unsigned char){63,226,194,33,94,2,68,102,63,230,53,6,26,211,142,98}
        ,(vector unsigned char){63,226,238,98,132,6,203,202,63,230,12,36,176,53,14,5}
        ,(vector unsigned char){63,227,26,82,4,136,116,190,63,229,227,96,237,2,22,92}
        ,(vector unsigned char){63,227,69,240,28,206,55,187,63,229,186,188,198,71,251,112}
        ,(vector unsigned char){63,227,113,61,13,246,197,4,63,229,146,58,30,188,25,54}
        ,(vector unsigned char){63,227,156,57,28,212,23,26,63,229,105,218,198,254,181,5}
        ,(vector unsigned char){63,227,198,228,145,199,141,197,63,229,65,160,125,224,163,94}
        ,(vector unsigned char){63,227,241,63,184,158,150,244,63,229,25,140,240,171,112,148}
        ,(vector unsigned char){63,228,27,74,224,111,234,65,63,228,241,161,187,107,205,44}
        ,(vector unsigned char){63,228,69,6,91,121,91,86,63,228,201,224,105,62,1,25}
        ,(vector unsigned char){63,228,110,114,126,254,71,22,63,228,162,74,116,156,43,78}
        ,(vector unsigned char){63,228,151,143,163,38,158,225,63,228,122,225,71,174,21,134}
        ,(vector unsigned char){63,228,192,94,34,222,148,229,63,228,83,166,60,154,102,109}
        ,(vector unsigned char){63,228,232,222,91,182,236,4,63,228,44,154,157,216,254,208}
        ,(vector unsigned char){63,229,17,16,173,197,237,129,63,228,5,191,166,134,80,161}
        ,(vector unsigned char){63,229,56,245,123,137,6,31,63,227,223,22,130,183,129,38}
        ,(vector unsigned char){63,229,96,141,41,199,12,52,63,227,184,160,79,207,41,213}
        ,(vector unsigned char){63,229,135,216,31,115,47,187,63,227,146,94,28,210,141,171}
        ,(vector unsigned char){63,229,174,214,197,144,149,23,63,227,108,80,234,191,27,7}
        ,(vector unsigned char){63,229,213,137,135,22,155,24,63,227,70,121,172,224,20,88}
        ,(vector unsigned char){63,229,251,240,208,213,204,74,63,227,32,217,73,36,59,232}
        ,(vector unsigned char){63,230,34,13,17,93,123,142,63,226,251,112,152,115,97,87}
        ,(vector unsigned char){63,230,71,222,184,226,11,144,63,226,214,64,103,3,177,64}
        ,(vector unsigned char){63,230,109,102,57,35,224,135,63,226,177,73,116,174,169,145}
        ,(vector unsigned char){63,230,146,164,5,86,251,106,63,226,140,140,117,69,151,12}
        ,(vector unsigned char){63,230,183,152,146,11,61,153,63,226,104,10,16,229,130,67}
        ,(vector unsigned char){63,230,220,68,85,21,83,175,63,226,67,194,228,74,116,56}
        ,(vector unsigned char){63,231,0,167,197,120,70,52,63,226,31,183,129,33,252,120}
        ,(vector unsigned char){63,231,36,195,91,79,174,123,63,225,251,232,110,92,228,90}
        ,(vector unsigned char){63,231,72,151,143,186,142,15,63,225,216,86,40,127,252,131}
        ,(vector unsigned char){63,231,108,36,220,198,198,192,63,225,181,1,33,243,243,129}
        ,(vector unsigned char){63,231,143,107,189,93,49,94,63,225,145,233,195,84,37,187}
        ,(vector unsigned char){63,231,178,108,173,46,80,254,63,225,111,16,107,188,88,103}
        ,(vector unsigned char){63,231,213,40,40,159,160,147,63,225,76,117,113,21,82,164}
        ,(vector unsigned char){63,231,247,158,172,185,120,152,63,225,42,25,32,96,73,10}
        ,(vector unsigned char){63,232,25,208,183,21,138,77,63,225,7,251,190,1,17,97}
        ,(vector unsigned char){63,232,59,190,197,205,238,34,63,224,230,29,134,7,21,69}
        ,(vector unsigned char){63,232,93,105,87,108,194,197,63,224,196,126,172,116,251,180}
        ,(vector unsigned char){63,232,126,208,234,220,90,42,63,224,163,31,93,135,2,135}
        ,(vector unsigned char){63,232,159,245,255,87,241,248,63,224,129,255,189,248,1,216}
        ,(vector unsigned char){63,232,192,217,20,92,244,157,63,224,97,31,235,69,20,102}
        ,(vector unsigned char){63,232,225,122,169,156,192,94,63,224,64,127,251,239,224,200}
        ,(vector unsigned char){63,233,1,219,62,238,241,135,63,224,32,31,255,191,128,66}
        };
    vector unsigned char var2306;
    vector unsigned char var2308;
    vector unsigned char var2310;
    vector unsigned char var2311;
    vector unsigned char var2313;
    vector unsigned char var2314;
    vector unsigned char var2315;
    vector unsigned char var2316;
    vector unsigned char var2317;
    vector unsigned char var2318;
    vector double var2320;
    var2207=(vector unsigned char){63,240,0,0,0,0,0,0,63,240,0,0,0,0,0,0};
    var2208=(vector unsigned char){191,240,0,0,0,0,0,0,191,240,0,0,0,0,0,0};
    var2209=(vector unsigned char){0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15};
    var2212=(vector unsigned char){16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16};
    var2215=(vector unsigned char){128,0,0,0,0,0,0,0,128,0,0,0,0,0,0,0};
    var2217=(vector unsigned char){75,16,0,0,0,0,0,0,75,16,0,0,0,0,0,0};
    var2219=(vector unsigned char){0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15};
    var2220=(vector unsigned char){8,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0};
    var2232=(vector unsigned char){0,1,2,3,16,17,18,19,8,9,10,11,24,25,26,27};
    var2234=(vector unsigned char){128,0,0,0,128,0,0,0,128,0,0,0,128,0,0,0};
    var2236=(vector unsigned char){0,128,128,128,4,128,128,128,8,128,128,128,12,128,128,128};
    var2238=(vector unsigned char){128,1,2,3,128,5,6,7,128,9,10,11,128,13,14,15};
    var2241=(vector unsigned char){98,0,0,0,98,0,0,0,98,0,0,0,98,0,0,0};
    var2245=(vector unsigned char){63,128,0,0,63,128,0,0,63,128,0,0,63,128,0,0};
    var2252=(vector unsigned char){0,1,2,3,128,128,128,128,8,9,10,11,128,128,128,128};
    var2254=(vector unsigned char){60,48,0,0,0,0,0,0,60,48,0,0,0,0,0,0};
    var2265=(vector unsigned char){0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};
    var2268=(vector unsigned char){127,240,0,0,0,0,0,0,127,240,0,0,0,0,0,0};
    var2275=(vector unsigned char){63,239,255,255,255,255,248,0,63,239,255,255,255,255,248,0};
    var2276=(vector unsigned char){64,128,0,0,0,0,0,0,64,128,0,0,0,0,0,0};
    var2278=(vector unsigned char){128,128,2,3,128,128,128,128,128,128,10,11,128,128,128,128};
    var2283=(vector unsigned char){8,9,10,11,12,13,14,15,24,25,26,27,28,29,30,31};
    var2285=(vector unsigned char){0,1,2,3,4,5,6,7,16,17,18,19,20,21,22,23};
    var2287=(vector unsigned char){23,6,7,128,128,128,128,128,31,14,15,128,128,128,128,128};
    var2315=(vector unsigned char){0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};
    var2316=(vector unsigned char){63,249,33,251,84,68,45,24,63,249,33,251,84,68,45,24};
    var2206=(vector unsigned char)var2206In;
    var2216=(vector unsigned char)spu_andc((vector unsigned char) ((qword)var2206),(vector unsigned char) ((qword)var2215));
    var2269=(vector unsigned char)spu_cmpeq((vector double) ((qword)var2216),(vector double) ((qword)var2265));
    var2266=(vector unsigned char)spu_testsv((vector double) ((qword)var2216),(int) ((int)48));
    var2221=(vector unsigned char)spu_cmpabsgt((vector double) ((qword)var2220),(vector double) ((qword)var2216));
    var2218=(vector unsigned char)spu_mul((vector double) ((qword)var2216),(vector double) ((qword)var2217));
    var2223=(vector unsigned char)spu_sel((vector unsigned char) ((qword)var2219),(vector unsigned char) ((qword)var2221),(vector unsigned char) ((qword)var2212));
    var2224=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var2216),(vector unsigned char) ((qword)var2218),(vector unsigned char) ((qword)var2223));
    var2233=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var2224),(vector unsigned char) ((qword)var2224),(vector unsigned char) ((qword)var2232));
    var2235=(vector unsigned char)spu_andc((vector unsigned char) ((qword)var2233),(vector unsigned char) ((qword)var2234));
    var2239=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var2235),(vector unsigned char) ((qword)var2235),(vector unsigned char) ((qword)var2238));
    var2240=(vector unsigned char)spu_rlqw((vector unsigned char) ((qword)var2239),(int) ((int)3));
    var2242=(vector unsigned char)spu_add((vector signed int) ((qword)var2240),(vector signed int) ((qword)var2241));
    var2243=(vector unsigned char)spu_re((vector float) ((qword)var2242));
    var2244=(vector unsigned char)((vector unsigned char) ((qword)var2242),(vector unsigned char) ((qword)var2243));
    var2246=(vector unsigned char)spu_nmsub((vector float) ((qword)var2242),(vector float) ((qword)var2244),(vector float) ((qword)var2245));
    var2247=(vector unsigned char)spu_madd((vector float) ((qword)var2246),(vector float) ((qword)var2244),(vector float) ((qword)var2244));
    var2248=(vector unsigned char)spu_rlmask((vector signed int) ((qword)var2247),(int) ((int)-3));
    var2237=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var2235),(vector unsigned char) ((qword)var2235),(vector unsigned char) ((qword)var2236));
    var2249=(vector unsigned char)spu_sub((vector signed int) ((qword)var2248),(vector signed int) ((qword)var2237));
    var2251=(vector unsigned char)spu_sel((vector unsigned char) ((qword)var2249),(vector unsigned char) ((qword)var2233),(vector unsigned char) ((qword)var2234));
    var2253=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var2251),(vector unsigned char) ((qword)var2251),(vector unsigned char) ((qword)var2252));
    var2255=(vector unsigned char)spu_mul((vector double) ((qword)var2253),(vector double) ((qword)var2254));
    var2257=(vector unsigned char)spu_nmsub((vector double) ((qword)var2224),(vector double) ((qword)var2255),(vector double) ((qword)var2207));
    var2258=(vector unsigned char)spu_madd((vector double) ((qword)var2257),(vector double) ((qword)var2255),(vector double) ((qword)var2255));
    var2260=(vector unsigned char)spu_nmsub((vector double) ((qword)var2224),(vector double) ((qword)var2258),(vector double) ((qword)var2207));
    var2261=(vector unsigned char)spu_madd((vector double) ((qword)var2260),(vector double) ((qword)var2258),(vector double) ((qword)var2258));
    var2263=(vector unsigned char)spu_mul((vector double) ((qword)var2261),(vector double) ((qword)var2217));
    var2264=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var2261),(vector unsigned char) ((qword)var2263),(vector unsigned char) ((qword)var2223));
    var2267=(vector unsigned char)spu_sel((vector unsigned char) ((qword)var2264),(vector unsigned char) ((qword)var2265),(vector unsigned char) ((qword)var2266));
    var2270=(vector unsigned char)spu_sel((vector unsigned char) ((qword)var2267),(vector unsigned char) ((qword)var2268),(vector unsigned char) ((qword)var2269));
    var2272=(vector unsigned char)spu_sel((vector unsigned char) ((qword)var2270),(vector unsigned char) ((qword)var2216),(vector unsigned char) ((qword)var2215));
    var2211=(vector unsigned char)spu_cmpabsgt((vector double) ((qword)var2206),(vector double) ((qword)var2207));
    var2213=(vector unsigned char)spu_sel((vector unsigned char) ((qword)var2209),(vector unsigned char) ((qword)var2211),(vector unsigned char) ((qword)var2212));
    var2317=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var2315),(vector unsigned char) ((qword)var2316),(vector unsigned char) ((qword)var2213));
    var2273=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var2216),(vector unsigned char) ((qword)var2272),(vector unsigned char) ((qword)var2213));
    var2277=(vector unsigned char)spu_madd((vector double) ((qword)var2275),(vector double) ((qword)var2273),(vector double) ((qword)var2276));
    var2279=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var2277),(vector unsigned char) ((qword)var2277),(vector unsigned char) ((qword)var2278));
    var2306=*(vector unsigned char*)(var2303.c+spu_extract((vector signed int)var2279,0));
    var2294=*(vector unsigned char*)(var2291.c+spu_extract((vector signed int)var2279,0));
    var2281=(vector unsigned char)spu_rlqwbyte((vector unsigned char) ((qword)var2279),(int) ((int)8));
    var2308=*(vector unsigned char*)(var2303.c+spu_extract((vector signed int)var2281,0));
    var2313=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var2306),(vector unsigned char) ((qword)var2308),(vector unsigned char) ((qword)var2285));
    var2310=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var2306),(vector unsigned char) ((qword)var2308),(vector unsigned char) ((qword)var2283));
    var2296=*(vector unsigned char*)(var2291.c+spu_extract((vector signed int)var2281,0));
    var2301=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var2294),(vector unsigned char) ((qword)var2296),(vector unsigned char) ((qword)var2285));
    var2298=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var2294),(vector unsigned char) ((qword)var2296),(vector unsigned char) ((qword)var2283));
    var2282=*(vector unsigned char*)(var2274.c+spu_extract((vector signed int)var2281,0));
    var2280=*(vector unsigned char*)(var2274.c+spu_extract((vector signed int)var2279,0));
    var2286=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var2280),(vector unsigned char) ((qword)var2282),(vector unsigned char) ((qword)var2285));
    var2284=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var2280),(vector unsigned char) ((qword)var2282),(vector unsigned char) ((qword)var2283));
    var2288=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var2284),(vector unsigned char) ((qword)var2286),(vector unsigned char) ((qword)var2287));
    var2289=(vector unsigned char)spu_sub((vector double) ((qword)var2273),(vector double) ((qword)var2288));
    var2290=(vector unsigned char)spu_madd((vector double) ((qword)var2289),(vector double) ((qword)var2284),(vector double) ((qword)var2286));
    var2299=(vector unsigned char)spu_madd((vector double) ((qword)var2289),(vector double) ((qword)var2290),(vector double) ((qword)var2298));
    var2302=(vector unsigned char)spu_madd((vector double) ((qword)var2289),(vector double) ((qword)var2299),(vector double) ((qword)var2301));
    var2311=(vector unsigned char)spu_madd((vector double) ((qword)var2289),(vector double) ((qword)var2302),(vector double) ((qword)var2310));
    var2314=(vector unsigned char)spu_madd((vector double) ((qword)var2289),(vector double) ((qword)var2311),(vector double) ((qword)var2313));
    var2214=(vector unsigned char)spu_shuffle((vector unsigned char) ((qword)var2207),(vector unsigned char) ((qword)var2208),(vector unsigned char) ((qword)var2213));
    var2318=(vector unsigned char)spu_madd((vector double) ((qword)var2214),(vector double) ((qword)var2314),(vector double) ((qword)var2317));
    var2320=(vector double)spu_sel((vector unsigned char) ((qword)var2318),(vector unsigned char) ((qword)var2206),(vector unsigned char) ((qword)var2215));
    return var2320;}

#endif
